<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * The template for displaying Category Archive pages.
 *
 * @package WordPress
 * @subpackage Aspen
 * @since Aspen 1.0
 */

aspen_get_header('category');
if ( aspen_getopt('infobar_location') == 'top' ) get_template_part('infobar');
aspen_inject_area('premain');
echo("\t<div id=\"main\">\n");

aspen_get_sidebar_left('category');
?>
		<div id="container_wrap"<?php aspen_get_page_class('category', 'container-category'); ?>>
<?php	if (aspen_getopt('infobar_location') == 'content') get_template_part('infobar');
		aspen_inject_area('precontent');
?>
		<section id="container">
<?php		aspen_get_sidebar_top('category'); ?>
			<div id="content" role="main">

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="page-title category-title"><span class="category-title-label"><?php
						printf( __( 'Category Archives: %s','aspen'), '</span><span>' . single_cat_title( '', false ) . '</span>' );
					?></h1>

					<?php
						$category_description = category_description();
						if ( ! empty( $category_description ) )
							echo apply_filters( 'category_archive_meta', '<div class="category-archive-meta">' . $category_description . '</div>' );
					?>
				</header>

				<?php aspen_content_nav( 'nav-above' ); ?>

				<?php /* Start the Loop */ ?>
				<?php
				aspen_masonry('begin-posts');
				aspen_post_count_clear();
				while ( have_posts() ) {
					the_post();
					aspen_masonry('begin-post');
					aspen_post_count_bump();
					/* Include the Post-Format-specific template for the content.
					 * If you want to overload this in a child theme then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
					aspen_masonry('end-post');
					}
				aspen_masonry('end-posts');

				aspen_content_nav( 'nav-below' ); ?>

			<?php else :
				aspen_not_found_search(__FILE__);
			endif; ?>

			</div><!-- #content -->
<?php		aspen_get_sidebar_bottom('category'); ?>
		</section><!-- #container -->
		</div><!-- #container_wrap -->

<?php 	aspen_get_sidebar_right('category');
	aspen_get_footer('category');
?>
