<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * The template for displaying posts in the Audio Post Format on index and archive pages
 *
 * Learn more: http://codex.wordpress.org/Post_Formats
 *
 * @package WordPress
 * @subpackage Aspen
 * @since Aspen 1.0
 */
global $aspen_cur_post_id;
$aspen_cur_post_id = get_the_ID();
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('content-audio ' . aspen_post_count_class()); ?>>
<?php
	if (!aspen_compact_post()) {
?>
		<header class="entry-header">
<?php 		aspen_entry_header(__( 'Audio','aspen'));
		aspen_comments_popup_link(); ?>
		</header><!-- .entry-header -->

<?php
		if (aspen_show_only_title()) {
			return;
		}
	}
?>
		<div class="entry-content cf">
			<?php echo aspen_the_contnt_featured(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:','aspen') . '</span>', 'after' => '</div>' ) ); ?>
		</div><!-- .entry-content -->
<?php
	if (!aspen_compact_post()
		&& !aspen_is_checked_post_opt('hide_bottom_post_meta')
		&& !aspen_is_checked_page_opt('ttw_hide_pp_infobot')) {
?>
		<footer class="entry-utility">
			<div class="entry-utility">
				<?php
					printf( __( '<a href="%1$s" rel="bookmark"><time class="entry-date" datetime="%2$s">%3$s</time></a><span class="by-author"> <span class="sep"> by </span> <span class="author vcard"><a class="url fn n" href="%4$s" title="%5$s" rel="author">%6$s</a></span></span>','aspen'),
						esc_url( get_permalink() ),
						get_the_date( 'c' ),
						get_the_date(),
						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
						sprintf( esc_attr__( 'View all posts by %s','aspen'), get_the_author() ),
						get_the_author()
					);
				?>
			</div><!-- .entry-utility -->

			<div class="entry-utility">
				<?php
					/* translators: used between list items, there is a space after the comma */
					$categories_list = get_the_category_list( __( ', ','aspen') );
					if ( $categories_list ):
				?>
				<span class="cat-links">
					<?php printf( __( '<span class="%1$s">Posted in</span> %2$s','aspen'), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list ); ?>
				</span>
				<?php endif; // End if categories ?>
				<?php
					/* translators: used between list items, there is a space after the comma */
					$tags_list = get_the_tag_list( '', __( ', ','aspen') );
					if ( $tags_list ): ?>
				<span class="tag-links">
					<?php printf( __( '<span class="%1$s">Tagged</span> %2$s','aspen'), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
				</span>
				<?php endif; // End if $tags_list ?>

				<?php if ( comments_open() ) : ?>
				<span class="comments-link"><?php comments_popup_link( '<span class="leave-reply">' . __( 'Reply','aspen') . '</span>', __( '<strong>1</strong> Reply','aspen'), __( '<strong>%</strong> Replies','aspen') ); ?></span>
				<?php endif; // End if comments_open() ?>
			</div><!-- .entry-utility -->
<?php
			aspen_compact_link('check');
			aspen_edit_link();
?>
		</footer><!-- #entry-utility -->

<?php
	} else {
		aspen_compact_link();
		aspen_edit_link();
	}
	aspen_inject_area('postpostcontent');	// inject post comment body ?>
	</article><!-- #post-<?php the_ID(); ?> -->
