<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Aspen
 * @since Aspen 1.0
 */

global $aspen_cur_post_id;
$aspen_cur_post_id = get_the_ID();

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('content-page'); ?>>
	<header class="entry-header<?php aspen_hide_page_title(); ?>">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header><!-- .entry-header -->

	<div class="entry-content cf">
<?php 	aspen_the_page_contnt_featured();

	// sitemap specific code
	echo("<div id=\"aspen-sitemap\">\n");
	echo("<h3>" . __('Pages','aspen') . "</h3><ul class='xoxo sitemap-pages'>\n");
	wp_list_pages(array('title_li' => false));
	echo("</ul>\n");

	echo("<h3>" .__('Posts','aspen') . "</h3><ul class='xoxo sitemap-pages-month'>\n");
	wp_get_archives(array('type' => 'monthly', 'show_post_count' => true));
	echo("</ul>\n");

	if (!aspen_getopt('post_hide_cats')) {
		echo("<h3>" . __('Categories','aspen') . "</h3><ul class='xoxo sitemap-categories'>\n");
		wp_list_categories(array('show_count' => true, 'use_desc_for_title' => true, 'title_li' => false));
		echo("</ul>\n");

		// If you want to show authors, simply uncomment the next 3 lines
		// echo("<h3>" . __('Authors','aspen') ."</h3><ul class='xoxo sitemap-authors'>\n");
		// wp_list_authors(array('exclude_admin' => false, 'optioncount' => true, 'title_li' => false));
		// echo("</ul>\n");

		echo("<h3>" . __('Tag Cloud','aspen') . "</h3><ul class='xoxo sitemap-tag'>\n");
		wp_tag_cloud(array('number' => 0));
		echo("</ul>\n");
	}
	echo("</div><!-- aspen-sitemap -->\n");

	aspen_link_pages();
?>
	</div><!-- .entry-content -->
	<footer class="entry-utility-page">
<?php
	aspen_edit_link();
?>
	</footer><!-- .entry-utility-page -->
</article><!-- #post-<?php the_ID(); ?> -->
