<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/**
 * The default template for displaying content
 *
 * This will display unmatched post-type blog posts from main blog page and archive-type pages
 * Note - if you are building a custom content-xxx.php page for a custom post type, you should
 * be sure that Feature Images are processed correctly via aspen_the_contnt_featured().
 *
 * @package WordPress
 * @subpackage Aspen
 * @since Aspen 1.0
 */

global $aspen_cur_post_id;
$aspen_cur_post_id = get_the_ID();

if (aspen_is_checked_page_opt('pp_pwp_compact_posts')
	 && ($the_image = aspen_get_first_post_image()) != '') {
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('content-default content-compact-post ' . aspen_post_count_class() ); ?>>
		<header class="entry-header">
			<div class="entry-hdr"><h2 class="entry-title">
			<a href="<?php esc_url(the_permalink()); ?>" title="<?php printf( esc_attr(__( 'Permalink to %s','aspen')),
	   the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h2></div>
		</header><!-- .entry-header -->
		<div class="entry-compact"> <!-- Compact Post -->
		<a href="<?php esc_url(the_permalink()); ?>" title="<?php printf( esc_attr(__( 'Permalink to %s','aspen')),
	   the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
		<?php echo $the_image; ?>
		</a>
		</div><!-- .entry-compact -->

<?php
} else {
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class('content-default ' . aspen_post_count_class() ); ?>>
	<header class="entry-header">
<?php
	if (is_sticky() ) {
		aspen_entry_header('');
	} else {
		aspen_post_title('<div class="entry-hdr"><h2 class="entry-title">', "</h2></div>\n");
	}

	if ( 'page' != get_post_type() ) {
?>
		<div class="entry-meta">
<?php
		aspen_post_top_info();
?>
		</div><!-- .entry-meta -->
<?php
	}
	aspen_comments_popup_link(); ?>
	</header><!-- .entry-header -->

<?php
		if ( ( aspen_get_per_page_value('wvr_pwp_type') == 'title_featured' && ! aspen_t_get( 'showposts' ) )
            || aspen_t_get('show') == 'title_featured') {
				// title has been displayed - add the featured image after for these special cases
			aspen_use_fi_in_content();
		}
	if (aspen_show_only_title()) {
		return;
	}
	if (aspen_do_excerpt()) { // Only display Excerpts for Search
?>
		<div class="entry-summary"> <!-- EXCERPT -->
<?php
		aspen_the_excerpt_featured();
?>
		</div><!-- .entry-summary -->
<?php
	} else {
?>
		<div class="entry-content cf">
<?php
		aspen_the_contnt_featured();
		aspen_link_pages();
?>
		</div><!-- .entry-content -->
<?php
	} ?>

		<footer class="entry-utility">
<?php
		aspen_post_bottom_info();
		aspen_compact_link('check');
?>
		</footer><!-- #entry-utility -->
<?php
		aspen_inject_area('postpostcontent');	// inject post comment body
}
?>
	</article><!-- #post-<?php the_ID(); ?> -->
