<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/* Aspen - admin Advanced Options
 *
 */

function aspen_admin_advancedopts() {
?>
<div id="tabwrap_adv" style="padding-left:5px;">
	<div id="tab-container-adv" class='yetiisub'>
	<ul id="tab-container-adv-nav" class='yetiisub'>
<?php if (aspen_allow_multisite()) { ?>
		<li><a href="#asptab0" title="Insert custom HTML, scripts, and CSS into &lt;HEAD&gt; section."><?php echo(aspen_t_('&lt;HEAD&gt; Section' /*a*/ )); ?></a></li>
		<li><a href="#asptab1" title="Insert custom HTML into several different page areas."><?php echo(aspen_t_('HTML Insertion' /*a*/ )); ?></a></li>
<?php } ?>
		<li><a href="#asptab2" title="Information for Aspen's Page Templates"><?php echo(aspen_t_('Page Templates' /*a*/ )); ?></a></li>
		<li><a href="#asptab3" title="Options related to this site: FavIcon, Home Page, more."><?php echo(aspen_t_('Site Options' /*a*/ )); ?></a></li>
		<li><a href="#asp_tab_admin" title="Basic Administrative Options."><?php echo(aspen_t_('Admin Options' /*a*/ )); ?></a></li>
		</ul>
<h3>Advanced Options<?php aspen_help_link('help.html#AdvancedOptions','Help for Advanced Options'); ?></h3>

<?php aspen_sapi_submit('', '<br /><br />'); ?>

<!-- ***************************************************** -->
<?php if (aspen_allow_multisite() ) { ?>
<div id="asptab0" class="tab_adv" >
	<?php aspen_adv_head_section();
?>
</div> <!-- adtab 0 -->

<!-- ***************************************************** -->

<div id="asptab1" class="tab_adv" >
	<?php aspen_adv_html_insert(); ?>
</div> <!-- asptab1 -->
<?php } // end of major section of not allowed on multisite ?>

<!-- ***************************************************** -->
<div id="asptab2" class="tab_adv" >
	<?php aspen_adv_page_template(); ?>
</div> <!-- asptab2 -->


<!-- ***************************************************** -->
<div id="asptab3" class="tab_adv" >
	<?php aspen_adv_site_opts(); ?>
</div> <!-- site options -->


<!-- ***************************************************** -->

<div id="asp_tab_admin" class="tab_adv" >
<?php aspen_admin_admin(); ?>
</div>

</div> <!-- tab-container-adv -->

<?php aspen_sapi_submit(); ?>
</div> <!-- #tabwrap_adv-->

<script type="text/javascript">
	var tabberAdv = new Yetii({
	id: 'tab-container-adv',
	tabclass: 'tab_adv',
	persist: true
	});
</script>
<?php
}

function aspen_adv_head_section() {
?>
<div class="atw-option-header">The Site &lt;HEAD&gt; Section
<?php aspen_help_link('help.html#HeadSection','Help for site HEAD section');?></div><br />
<p>
	This tab allows you to add HTML to the &lt;HEAD&gt; Section of every page on your site.
</p>
<?php if (aspen_allow_multisite()) { ?>
	<p><small>PLEASE NOTE: Only minimal validation is made on the field values, so be careful not to use invalid code.
	Invalid code is usually harmless, but it can make your site display incorrectly. If your site looks broken after make changes here,
	 please double check that what you entered uses valid HTML or CSS rules.</small></p>


	<a name="advancedcss" id="advancedcss"></a>
	<div class="atw-option-subheader">Custom CSS Rules</div><br />

	<!-- ======== -->
	<span style="color:#6666FF;"><b>Add your own custom CSS Rules to Aspen's style rules</b></span><br/>
	<p>
	This section allows you to add new CSS Rules to your theme to enhance or override the styling set using
	Aspen's Main Options. For example, Aspen's documentation includes many <em>CSS Snippets</em> that allow you
	to find tune the look of your site. You simply add whatever CSS Rules you need into the box below. Include the
	complete rule. You do <em>not</em> need to add &lt;style&gt; HTML tags to bracket your rules.</p>
	<p>
	Rules you add here
	will be the <em>last</em> CSS Rules included by Aspen, and thus override all other Aspen generated CSS rules.
	It is possible that other plugins might generate CSS that comes after these rules.
	</p>
<textarea name="<?php aspen_sapi_main_name('add_css'); ?>" rows=7 style="width: 95%"><?php aspen_esc_textarea(aspen_getopt('add_css')); ?></textarea>
	<!-- ======== -->

    <br /><br />
	<a name="headsection" id="headsection"></a>
	<div class="atw-option-subheader">&lt;HEAD&gt; Section</div><br/>

<p>
	This input area allows you to enter custom HTML such as &lt;link&gt; and &lt;meta&gt; code to your site.
	Code entered into this box is included right before the &lt;/HEAD&gt; HTML tag on each page of your site.
	Currently, this code can include JavaScript widget code supplied by other sites to provide some feature of the outside site. <span style="color:red;">Notice: After WordPress 3.9 is
    released, future versions of Aspen will require you to use the <em>Aspen Theme Extras</em> or the <em>Aspen Pro</em> plugins
    to be able to add JavaScript to this section.</em></span> This is due to new WordPress.org theme standards.
    Shortcodes are not supported in this option.
    We recommend using dedicated WordPress plugins to add things like ad tracking, SEO tags, Facebook code, and the like.
	<small>Note: You can add CSS Rules using the "Custom CSS Rules" option below.</small>
</p>
<p>
	For even greater control of how your site looks, you can add code the the &lt;HEAD&gt; section on a per page basis
	using the per page options from the page editor.
	</p>
		<textarea name="<?php aspen_sapi_main_name('head_opts'); ?>" rows=2 style="width: 95%"><?php aspen_esc_textarea(aspen_getopt('head_opts')); ?></textarea>
<br>
	 <small>Aspen will <em>always</em> load the jQuery Library.</small>
	<!-- ===================================================== -->
  <br /><br />

	<a name="headsection" id="headsection"></a>
	<div class="atw-option-subheader">&lt;HEAD&gt; Section (Advanced Alternative - &diams;)</div>

<p>
	<small>Same as normal &lt;HEAD&gt; box above, but works like other &diams; options - it survives changing
	the subtheme from the Aspen Subthemes tab, and is saved only on a full backup Save. This option is
	not commonly used, and is intended for more advanced Aspen users.
	</small>
</p>
		<textarea name="<?php aspen_sapi_main_name('_althead_opts'); ?>" rows=2 style="width: 95%"><?php aspen_esc_textarea(aspen_getopt('_althead_opts')); ?></textarea>

<?php
	do_action('aspen_pro_admin','head_section');
	}	// not multisite
}

function aspen_adv_html_insert() {
?>
<div class="atw-option-header">HTML Insertion
<?php aspen_help_link('help.html#HTMLInsertion','Help on HTML Code Insertion Areas');?></div><br />
<p>The <b>Advanced Options&rarr;HTML Insertion</b> tab allows you to insert custom HTML code in many places on your site.
These fields allow you to add HTML code, special CSS rules, or even JavaScripts. You will need at least
a bit of knowledge of HTML coding to use these fields most effectively.</p>

<p><small>The values you put here are saved in the WordPress database, and will survive theme upgrades and other changes.</small></p>

<p><small>PLEASE NOTE: Only minimal validation is made on the field values, so be careful not to use invalid code.
Invalid code is usually harmless, but it can make your site display incorrectly. If your site looks broken after make changes here,
please double check that what you entered uses valid HTML or CSS rules.</small></p>
<hr />
<?php

	$base_areas = array(
	array ('name'=>'Site Header Insert Code', 'id'=>'header', 'info'=>
"This HTML code will be inserted into the <em>#branding div</em> header area right above where the standard site
header image goes. You can use it for logos, better site name text - whatever. When used in combination with hiding the site title,
header image, and the menu, you can design a completely custom header. If you hide the title, image, and header, no other code is generated
in the #branding div, so this code can be a complete header replacement. You can also use WP shortcodes to embed plugins, including
rotating image slideshows such as <a href=\"http://aspenthemeworks.com/atw-show-sliders/\" target=\"_blank\">Aspen Themeworks Show Sliders</a>.", 'help' => ''),

	array ('name'=>'Footer Code', 'id'=>'footer', 'info' =>
		'This code will be inserted into the site footer area, just before the before the copyright and "Powered by" credits, but after any Footer widgets (check option below to move to before widgets). This could include extra information, visit counters, etc.',
		'help' => ''),

	array('name'=>'', 'id'=>'submit', 'info' => '', 'help' => ''),

	array ('name'=>'Pre-Wrapper Code', 'id'=>'prewrapper', 'info' =>
		'This code will be inserted just before the #wrapper and #branding divs, before any other site content.',
		'help' => ''),
	array ('name'=>'Pre-Header Code', 'id'=>'preheader', 'info' =>
		'This code will be inserted just before the header area (between the "#wrapper" and the "#branding" divs), above the menus and site image.',
		'help' => ''),

	array ('name'=>'Post-Footer', 'id'=>'postfooter', 'info' =>
		'This code will be inserted just after the footer #colophon div, outside the #wrapper div.',
		'help' => '')
	);

	$areas = apply_filters('aspen_pro_html_inject', $base_areas);


	foreach ($areas as $area => $def) {
        aspen_add_html_field($def['name'],$def['id'],$def['info'],$def['help']);
	}

	do_action('aspen_pro_admin','html_insertion');
}

function aspen_add_html_field($title, $name, $info, $help='') {

	if ($name=='submit') {
		aspen_sapi_submit('', "<br /><br />\n");
        return;
	}

	$pro = aspen_fix_type($name);

	if ($name[0] == '+') $name = substr($name,1); // fix locally

	$area_name = '' . $name . '_insert';
	$hide_front = 'hide_front_' . $name;
	$hide_rest = 'hide_rest_' . $name;
	$style_id = 'inject_' . $name;

	$val = array ('name'=> $title . ' BG', 'id'=> $style_id . '_bgcolor' , 'info' =>
		'BG Color for area',
		'help' => '');
?>
<div class="atw-option-subheader"><span style="color:blue;"><b><?php echo $title; ?></b></span></div></br />
<?php
	if (! $info)
		return;
	echo $info;
	if ($style_id == 'inject_postpostcontent')
		echo (" (Style with <em>class</em> <code>.$style_id</code>.)");
	else
		echo (" (Style with <code>#$style_id</code>.)");
?>
	<br />
	<textarea name="<?php aspen_sapi_main_name($area_name); ?>" rows=3 style="width: 95%"><?php aspen_esc_textarea(aspen_getopt($area_name)); ?></textarea>
	<br />
	<?php
	 echo '<table>'; aspen_form_row_ctext($val); echo '</table>';
?>
	<label>Hide on front page: <input type="checkbox" name="<?php aspen_sapi_main_name($hide_front); ?>" id="<?php echo $hide_front; ?>" <?php checked(aspen_getopt_checked($hide_front)); ?> /></label>
	<small>If you check this box, then the code from this area will not be displayed on the front (home) page.</small><br />
	<label>Hide on non-front pages: <input type="checkbox" name="<?php aspen_sapi_main_name($hide_rest); ?>" id="<?php echo $hide_rest; ?>" <?php checked(aspen_getopt_checked( $hide_rest )); ?> /></label>
	<small>If you check this box, then the code from this area will not be displayed on non-front pages.</small>
<?php
	if ($name == 'footer') {
?>
<br /><label>Move to before widget areas: <input type="checkbox" name="<?php aspen_sapi_main_name('footer_inject_move'); ?>" id="footer_inject_move" <?php checked(aspen_getopt_checked( 'footer_inject_move' )); ?> /></label>
	<small>If you check this box, then the code from this area will be inserted <em>before</em> the footer widgets instead of after.</small>
<?php
	}
?>
	<br /><br />
<?php
}

// ==============================================   PAGE TEMPLATES ===========================================

function aspen_adv_page_template() {
?>
	<a name="custompage" id="custompage"></a>
	<span style="color:#00f; font-weight:bold; font-size: larger;">Custom Page Templates</span><br />

	<p>Aspen includes several page templates - which is the WordPress tool for giving different look and functionality
	do individual static pages. Many of the properties of any given page, independent of the page template, can be
	set using the "Aspen Options For This Page" box on the regular WordPress Page Editor admin page.</p>

	<p>One of the most requested features included in the Per Page box is the ability to set the sidebar layout for
	each page. If this is not set, the page will use the global options for the page type. The other popular option
	includes the ability to replace any of the sidebar widget areas, as well as the ability to add an additional top
	widget area. To use a new widget area you must first tell Aspen to create a new one. These
	<strong>Per Page Widget Areas</strong> are defined on the Main Options:Widget Areas tab.</p>
	<h3>Overview of Page Templates</h3>

		<ul style="list-style-type:disc;margin-left:20px;">
	<li>
	The <strong>2 Col Content</strong> template splits content into two columns. You manually set the column
	split using the standard WP '&lt;--more-->' convention. (Note - since WordPress only used the '&lt--more-->' to
	show the "Continue reading..." for posts, it can serve this purpose for this template on pages. Columns will split first
	horizontally, then vertically (you can have more than one &lt;--more--> tag).
	</li>
	<li>
	The <strong>Blank</strong> page template will wrap the content of an associated page with an HTML div with class
	<code>.content-blank</code>  which you can add CSS rules to style using the standard Aspen options.
	The standard page &lt;article&gt; wrapping is not used. The page title is not displayed. Use Per Page Options
	on Page edit menu to control Menu, Site Title, and Header Image visibility.
	</li>
	<li>
	<strong>Page with Posts</strong> serves as an alternative way to display posts. After you select the Page with Posts
	template, a new set of options will be added to the Per Page menu. There is additional help in the help documentation.
		<li>
	The <strong>Raw</strong> template allows total custom HTML styling with no predefined div's. It useful for Pop Up pages.
	</li>
	<li>
	The <strong>Sitemap</strong> provides a page with a basic sitemap.
	</li>
	<li>
	The <strong>iframe</strong> template is designed for full width display of html iframes. You can control sidebars
	and titles using standard Per Page options.
	</li>
	</ul>
	<!-- ===================================================== -->
<?php
}

// ==============================================   SITE OPTIONS ===========================================

function aspen_adv_site_opts() {
?>
	<div class="atw-option-header">Site Options
	<?php aspen_help_link('help.html#AdvSiteOptions','Help on Advanced Site Options');?></div><br />
	These options are available to fine tune various aspects of your site. Technically, these features
	are not part of the theme styling, but cover other aspects of site functionality.<br /><hr />
   <!-- ======== -->

<?php
	if (aspen_f_file_access_available()) {
?>
   <h3>Inline CSS - (Aspen Pro Option)</h3>

	<label><input type="checkbox" name="<?php aspen_sapi_main_name('_inline_style'); ?>" id="_inline_style" <?php checked(aspen_getopt_checked( '_inline_style' )); ?> />
	Generate in-line CSS code rather than using style-aspen.css file. By default, Aspen Pro will use the style-aspen.css file. &diams;<br /><br />
<?php
	}
?>
	<br />
	<div class="atw-option-subheader"><span style="color:blue;font-size:larger;"><b>FavIcon</b></span></div></br />
	<p>You can add a FavIcon to your site with this option. The preferred FavIcon is in the <code>.ico</code> format
	which has the most universal browser compatibility. However, <code>.png, .gif, and .jpg</code> will
	work for most modern browsers. The standard sizes are 16x16, 32x32, or 48x48 px. You can alternatively load
	a <code>favicon.ico</code> file to the root directory of your site. &diams;</p>
	<p>
<?php
	$icon=aspen_getopt('_favicon_url');
	if ($icon != '') {
	echo '<img src="' . esc_url($icon) . '" alt="favicon" />&nbsp;';
	}
?>
	<strong>FavIcon URL: </strong>
	<textarea name="<?php aspen_sapi_main_name('_favicon_url'); ?>" id="_favicon_url" rows=1 style="width: 350px"><?php echo(esc_textarea(aspen_getopt('_favicon_url'))); ?></textarea><?php aspen_media_lib_button('_favicon_url'); ?>&nbsp;&nbsp;Full path to FavIcon
	</p><br />


	<div class="atw-option-subheader"><span style="color:blue;font-size:larger;"><b>SEO - Search Engine Optimization</b></span></div><br />
	<p>The Aspen Theme has been
	designed to follow the latest SEO guidelines. Each non-home page will use the recommended
	"Page Title | Site Title" format, and the site is formatted using the appropriate HTML5 tags
	for optimal SEO performance. Unless you have special needs, you probably don't need an SEO
	plugin. But if you are concerned about SEO then an SEO plugin will have options to help
	optimize your site for SEO. See the <em>Help</em> tab for recommended SEO plugins.
	</p><br />

	<div class="atw-option-subheader"><span style="color:blue;font-size:larger;"><b>Home Page</b></span></div>
	<p>WordPress allows you to specify what page is used for your home page - either the standard WordPress blog,
	or a static page (which can be a Aspen "Page with Posts" page). How to set the Front page displays options
	is not totally obvious - please see the Aspen Help topic for a more complete explanation.</p>
	<p>You can set the front page on the Dashboard <em>Settings&rarr;Reading panel</em>:
	<a href="<?php echo esc_url( home_url( '/' ) . 'wp-admin/options-reading.php' ); ?>"><strong>Set Front Page Displays</strong></a></p><br />


	<div class="atw-option-subheader"><span style="color:blue;font-size:larger;"><b>Author Avatars</b></span></div>
	<p>For the best look, your site should support Avatars - a small image associated with
	a contributors e-mail address. <?php aspen_site('','http://gravatar.com'); ?>Gravatar.com</a>
	is probably the most popular Avatar support, and is closely associated with WordPress. You should set up a Gravatar for
	the main authors of your blog. For contributors without any avatar, you can select an automatically
	generated avatar from several options found on the
	<a href="<?php echo esc_url( home_url( '/' ) . 'wp-admin/options-discussion.php' ); ?>">
	<strong>Settings&rarr;Discussion</strong></a> panel.
	</p>
	<hr />
<?php
	do_action('aspen_pro_admin','site_opts');
	do_action('aspen_child_siteoptions');
}

/* ================================= MOBILE OPTIONS =============================== */
//function aspen_adv_mobile_opts() {
function aspen_admin_mobileopts() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Mobile Options', 'type' => 'header',
		'info'=> 'Settings for mobile device display',
        'help' => 'help.html#MobileHelp'),

	array('name' => '#070Mobile Support Mode', 'id' => '_mode_mobile', 'type' => 'select_id',
        'info' => 'Select how Aspen generates mobile views. (Default: Responsive, hide sidebars) Important: see the help file!. &diams;',
        'value' => array(
			array('val' => 'aspen-mobile-resp-nostack', 'desc' => 'Responsive, hide sidebars'),
			array('val' => 'aspen-mobile-responsive', 'desc' => 'Responsive, stacked sidebars')
	 )),


	array('name' => '#070Show Footer Widgets', 'id' => 'mobile_show_footerwidgets', 'type' => 'checkbox',
        'info' => 'Will show footer widget area on non-stacked Mobile Modes for mobile devices. (Footer widget is always displayed on stacked Mobile Modes.)'),

	array('name' => '#070Hide Top/Bottom Widget Areas', 'id' => 'mobile_hide_topbottom_widgets', 'type' => 'checkbox',
        'info' => 'Hide Top and Bottom Widget Areas in addition to Sidebars.'),

	array('name' => '#070No Auto-Underline Links', 'id' => 'mobile_nounderline', 'type' => 'checkbox',
        'info' => 'Underlined links are easier to use on most mobile devices. This will disable auto-underlined links.'),

	array('name' => '#070<small>Mobile Site Title Color</small>', 'id' => 'mobile_title_color', 'type' => 'color',
		'info' => 'Alternate Color for Mobile Site Title (includes Responsive Modes).'),

	array('name'=>'<span style="color:green;">More Mobile Options:</span>','type'=>'note',
        'info'=>'More mobile options are available for specific areas: Header, Menus, Post Specifics.')
	);
?>

<p style="font-size:small">
	These are the main options that control how Aspen displays your site on Mobile devices. Please note that there are
	other options that affect the mobile view located on other tabs (e.g., the Main Options : Header tab). Options that affect
	the mobile view are displayed with a <span style="color:#080;font-weight:bold;">Green Label</span>.
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','mobile_opts');
}
?>
