<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/* Aspen - admin Help
 *
 * This is the intro form. It won't have any options because it will be outside the main form
 */

function aspen_admin_help() {
	$tdir = get_template_directory_uri();

	$readme = esc_url($tdir."/help/help.html");

?>
	<span style="font-size:larger;font-weight:bold;padding-right:70px;">Aspen Help</span>

<small><strong>Media Library Picker Tool:</strong></small>&nbsp;<input name="media_url" type="text" style="width:400px;height:22px;" class="regular-text" name="media_url"
				id="media_url" value="Paste media URL here that you can then Copy/Paste elsewhere." />
		<?php 	aspen_media_lib_button('media_url'); ?>
	<p>You will notice
	<?php aspen_help_link('help.html#top', aspen_t_('Aspen Help' /*a*/ )); ?>
	next to many options and option sections on the Aspen Admin tabs. Clicking the ? will open the Aspen Help
	file to the appropriate place.</p>

	<p>More help is available at the <?php aspen_site(); ?><strong>Aspen Theme web site</strong></a>, which includes
	a support forum.</p>
<?php
	do_action('aspen_pro_admin','help');
?>
<div style="float:left;width:40%;padding-right:3%">
<?php
	echo("<div class=\"atw-help\"><h2><b><a href=\"$readme\" target=\"_blank\">Aspen Theme Documentation</a></b></h2>
<h3>Table of Contents</h3><ul style=\"line-height:1.2em;\">
	  <li><a href=\"$readme#get_started\" target=\"_blank\"><strong>How to get started</strong></a></li>
	  <ul><li><a href=\"$readme#multisite\" target=\"_blank\">Using With WordPress Multisite</a></li>
	  </ul>
	  <li><a href=\"$readme#homepage\" target=\"_blank\"><strong>All About Your Site's Home Page</strong></a></li>
	  <li><a href=\"$readme#DesignHints\" target=\"_blank\"><strong>Design Hints</strong></a></li>
	  <li><a href=\"$readme#PredefinedThemes\" target=\"_blank\"><strong>Aspen Predefined Subthemes</strong></a></li>
	  <li><a href=\"$readme#MainOptions\" target=\"_blank\"><strong>Aspen Main Options</strong></a>
		<ul>
		  <li><a href=\"$readme#GenApp\" target=\"_blank\">General Appearance</a></li>
		  <li><a href=\"$readme#layout\" target=\"_blank\">Layout</a></li>
		  <li><a href=\"$readme#Fonts\" target=\"_blank\">Fonts</a></li>
		  <li><a href=\"$readme#WidgetAreas\" target=\"_blank\">Widget Areas</a></li>
		  <li><a href=\"$readme#HeaderOpt\" target=\"_blank\">Header Options</a></li>
		  <li><a href=\"$readme#MenuBar\" target=\"_blank\">Menu Bar and Info Bar</a></li>
		  <li><a href=\"$readme#Links\" target=\"_blank\">Links</a></li>
		  <li><a href=\"$readme#ContentAreas\" target=\"_blank\">Content Areas</a></li>
		  <li><a href=\"$readme#LeavingComments\" target=\"_blank\">Leaving Comments</a></li>
		  <li><a href=\"$readme#PPSpecifics\" target=\"_blank\">Post Specifics</a></li>
		  <ul>
			<li><a href=\"$readme#FeaturedImage\" target=\"_blank\">The Featured Image</a></li>
			<li><a href=\"$readme#PhotoBlog\" target=\"_blank\">Photo Blogging</a></li>
		<li><a href=\"$readme#CustomInfo\" target=\"_blank\">Custom Post Info Lines</a></li>
		  </ul>
		  <li><a href=\"$readme#FooterOpt\" target=\"_blank\">Footer</a></li>
		  <li><a href=\"$readme#MobileHelp\" target=\"_blank\">Mobile</a></li>
		</ul>
	  </li>

	  <li><a href=\"$readme#AdvancedOptions\" target=\"_blank\"><strong>Aspen Advanced Options</strong></a>
	  <ul>
	  <li><a href=\"$readme#HeadSection\" target=\"_blank\">Site
		  &lt;HEAD&gt;
Section</a></li>
	  <li><a href=\"$readme#HTMLInsertion\" target=\"_blank\">HTML Code Insertion Areas</a></li>
	  <li><a href=\"$readme#pageTemplateOptions\" target=\"_blank\">Page Templates</a></li>
	  <li><a href=\"$readme#ArchivePages\" target=\"_blank\">Archive-type Pages</a></li>
	  <li><a href=\"$readme#BackgroundImages\" target=\"_blank\">Background images</a></li>
	  <li><a href=\"$readme#SEO\" target=\"_blank\">SEO</a></li>
	  <li><a href=\"$readme#AdvSiteOptions\" target=\"_blank\">Site Options</a></li>
	  </ul>
	  </li>
	  <li><a href=\"$readme#AdminOptions\" target=\"_blank\"><strong>Admin Options</strong></a></li>
	  <li><strong><a href=\"$readme#SaveRestore\" target=\"_blank\">Save/Restore Themes</a></strong></li>
	  <li><strong><a href=\"$readme#PageTemplates\" target=\"_blank\">Aspen Page Templates</a></strong></li>
	  <ul>
		<li><a href=\"$readme#PerPostTemplate\" target=\"_blank\">Settings for \"Page with Posts\" Template</a></li>
	  </ul>
	  <li><a href=\"$readme#editstyling\" target=\"_blank\"><strong>Post/Page Editor Styling</strong></a>
	  <li><a href=\"$readme#raw_html\" target=\"_blank\"><strong>Entering Raw HTML and Scripts </strong></a>
	  <li><a href=\"$readme#post_formats\" target=\"_blank\"><strong>Post Formats </strong></a>
	  <li><a href=\"$readme#PerPage\" target=\"_blank\"><strong>Per Page and Per Post Options</strong></a>
		<ul>
		  <li><a href=\"$readme#perpoststyle\" target=\"_blank\">Per Post Style</a></li>
		</ul>
	  <li><strong><a href=\"$readme#CustomMenus\" target=\"_blank\">Custom Menus</a></strong></li>
	  <li><strong><a href=\"$readme#HelperClasses\" target=\"_blank\">Aspen Helper Classes</a></strong></li>
	  <li><strong><a href=\"$readme#plugins\" target=\"_blank\">Built-in Support for Other Plugins</a></strong></li>
	  <li><strong><a href=\"$readme#language_support\" target=\"_blank\">Using Aspen in your language</a></strong></li>
	  <li><strong><a href=\"$readme#ie\" target=\"_blank\">Internet Explorer Compatibility (including PIE support)</a></strong></li>
	  <li><strong><a href=\"$readme#TechNotes\" target=\"_blank\">Technical Notes</a></strong></li>
	  <li><strong><a href=\"$readme#EUCookies\" target=\"_blank\">EU/UK Cookie Information</a></strong></li>
	  <li><strong><a href=\"$readme#divhierarchy\" target=\"_blank\">Aspen HTML&lt;div&gt;Hierarchy</a></strong></li>
	  <li><strong><a href=\"$readme#Version1_0\" target=\"_blank\">Release Notes</a></strong> </li>
	</ul>

	  </div>\n");
?>
</div>
<div style="float:left;width:42%;padding-right:1%">
	<h2><b><a href="<?php echo $tdir . '/help/css-help.html';?>" target="blank">CSS HELP</a></b></h2>
	<p>A short CSS Tutorial</p>
	<h2><b>RECOMMENDED PLUGINS</b></h2>
	<p><strong>Some recommended plugins for your Aspen Theme</strong></p>


<p>The following plugins are recommended to use with Aspen. While most WordPress plugins work with Aspen, these
provide features commonly needed by Aspen users.</p>
</p>
<ul>
	<li><strong>Slide Shows and image Galleries</strong><br />
	We have created our own ATW Show Sliders and [gallery] replacement plugin:<br />
	<ul></ul><li><a href="http://aspenthemeworks.com/atw-show-sliders/" target="_blank">Aspen Themeworks Show Sliders</a>
	- good for any kind of slideshows - images, posts, [gallery] replacement</li>
    </ul>
	<li><strong>SEO Optimization</strong><br />
	<ul>
		<li><a href="http://wordpress.org/extend/plugins/wordpress-seo/" target="_blank">WordPress SEO by Yoast</a> -
		probably the best. Aspen automatically supports Yoast's breadcrumbs if they are enabled.</li>
	</ul>
	</li>
</ul>

	</p>
</div><div style="clear:both;"></div>

<?php
}

?>
