<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/* Aspen - admin Main Options
 *
 * This function will start the main sapi form, which will be closed in admin-adminopts
 */

// ======================== Main Options > Top Level ========================
function aspen_admin_mainopts() {
?>
<div id="tabwrap_main" style="padding-left:4px;">

<div id="tab-container-main" class='yetiisub'>
	<ul id="tab-container-main-nav" class='yetiisub'>
	<li><a href="#asp_genappear" title="Wrapping background colors, rounded corners, borders, fade, shadow,"><?php echo(aspen_t_('General Appearance' /*a*/ )); ?></a></li>
	<li><a href="#asp_layout" title="Theme width, margins; Sidebar Layouts"><?php echo(aspen_t_('Layout' /*a*/ )); ?></a></li>
		<li><a href="#asp_fonts" title="Theme Fonts"><?php echo(aspen_t_('Fonts' /*a*/ )); ?></a></li>
	<li><a href="#asp_widgets" title="Backgrounds, margins, borders, text colors of widgets and widget areas"><?php echo(aspen_t_('Widget Areas' /*a*/ )); ?></a></li>
	<li><a href="#asp_headeropts" title="Site Title/Tagline properties, Header Image"><?php echo(aspen_t_('Header' /*a*/ )); ?></a></li>
	<li><a href="#asp_menus" title="Menu text and bg colors and other properties; Info Bar properties"><?php echo(aspen_t_('Menus' /*a*/ )); ?></a></li>
	<li><a href="#asp_links" title="Colors and properties of links"><?php echo(aspen_t_('Links' /*a*/ )); ?></a></li>
	<li><a href="#asp_content" title="Text colors and bg, image borders, featured image, other properties related to all content"><?php echo(aspen_t_('Content Areas' /*a*/ )); ?></a></li>
	<li><a href="#asp_postspecific" title="Properties related to posts: titles, meta info, navigation, excerpts, featured images, and more."><?php echo(aspen_t_('Post Specifics' /*a*/ )); ?></a></li>
	<li><a href="#asp_footer" title="Footer options: bg color, borders, more. Site Copyright."><?php echo(aspen_t_('Footer' /*a*/ )); ?></a></li>
	<li><a href="#asp_mobile" title="Mobile Options."><?php echo(aspen_t_('Mobile' /*a*/ )); ?></a></li>
	</ul>

<h3>Main Options<?php aspen_help_link('help.html#MainOptions','Help for Main Options'); ?></h3>

	<div id="asp_genappear" class="tab_mainopt" >
	<?php aspen_mainopts_general(); ?>
	</div>

	<div id="asp_layout" class="tab_mainopt" >
		<?php aspen_mainopts_layout(); ?>
	</div>

	<div id="asp_fonts" class="tab_mainopt" >
		<?php aspen_mainopts_fonts(); ?>
	</div>

	<div id="asp_widgets" class="tab_mainopt" >
		<?php aspen_mainopts_widgets(); ?>
	</div>

	<div id="asp_headeropts" class="tab_mainopt" >
	<?php aspen_mainopts_header(); ?>
	</div>

	<div id="asp_menus" class="tab_mainopt" >
	<?php aspen_mainopts_menus(); ?>
	</div>

	<div id="asp_links" class="tab_mainopt" >
	<?php aspen_mainopts_links(); ?>
	</div>
	<div id="asp_content" class="tab_mainopt" >
	<?php aspen_mainopts_content(); ?>
	</div>

	<div id="asp_postspecific" class="tab_mainopt" >
	<?php aspen_mainopts_posts(); ?>
	</div>

	<div id="asp_footer" class="tab_mainopt" >
		<?php aspen_mainopts_footer(); ?>
	</div>

	<div id="asp_mobile" class="tab_mainopt" >
		<?php aspen_admin_mobileopts(); ?>
	</div>

</div> <!-- #tab-container-main -->
<?php aspen_sapi_submit(); ?>
</div>	<!-- #tabwrap_main -->
   <script type="text/javascript">
	var tabberMainOpts = new Yetii({
	id: 'tab-container-main',
	tabclass: 'tab_mainopt',
	persist: true
	});
</script>
<?php
}

// ======================== Main Options > General Appearance ========================
function aspen_mainopts_general() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'General Appearance', 'id' => 'a_generalappearance', 'type' => 'header',
        'info' => 'Overall settings that affect content and widget areas',
		'help' => 'help.html#GenApp'),
	array('name' => 'Outside BG', 'id' => 'body_bgcolor', 'type' => 'ctext',
        'info' => 'Background color that wraps entire page. (&lt;body&gt;) Using <em>Appearance->Background</em> will override this value, or allow a background image instead.'),
	array('name' => 'Wrapper Page BG', 'id' => 'page_bgcolor', 'type' => 'ctext',
        'info' => "Background for top level #wrapper div - default BG if you don't change others."),
	array('name' => 'Default Text Color', 'id' => 'body_color', 'type' => 'ctext',
        'info' => "Default text color (&lt;body&gt;). Most areas will override this color with their own color."),
	array('name' => 'Main Area BG', 'id' => 'main_bgcolor', 'type' => 'ctext',
        'info' => 'Background for main page #main div - wraps container, content and sidebars (uses wrapper bg if not set).'),
	array('name' => 'Container Area BG', 'id' => 'container_bgcolor', 'type' => 'ctext',
        'info' => 'Background for #container div - wraps content and sidebars (Uses wrapper bg if not set.).'),

	array('name' => 'Rounded Corners', 'id' => 'rounded_corners', 'type' => 'checkbox',
		'info' => "Check to use rounded corners for main area, menu bars, widgetareas, header and footer"),
	array('name' => 'Rounded Corners (Content)', 'id' => 'rounded_corners_content', 'type' => 'checkbox',
		'info' => "Check to use rounded corners for content area (page and post content)"),
	array('name' => '<small>Corner Radius</small>', 'id' => 'rounded_corners_radius', 'type' => '=text',
		'info' => 'Controls how "round" corners are. Specify a value (5 to 15 look best) for corner radius. (Default: 10)'),


	array('name' => 'Fade Outside BG', 'id' => 'fadebody_bg', 'type' => 'checkbox',
		'info' => 'Will fade the Outside BG color, darker at top to lighter at bottom.'),
	array('name' => 'Wrap site with shadow', 'id' => 'wrap_shadow', 'type' => 'checkbox',
		'info' => "Will wrap site's main area with a shadow"),

	array( 'type' => 'submit'),

	array('name' => 'Borders', 'type' =>'header',
        'info' => 'Border Attributes for various areas'),
	array('name' => 'Major Area Borders', 'id' => 'useborders', 'type' => 'checkbox',
		'info' => 'Check to include border around site wrapper area and all sidebars.'),
	array('name' => 'Site Wrapper Border', 'id' => 'wrapper_border', 'type' => 'checkbox',
		'info' => 'Check to include border around site wrapper area (<em>Major Area Borders</em> also includes this border)'),
	array('name' => '<small>Border Color</small>', 'id' => 'border_color', 'type' => 'color',
		'info' => 'Color of borders. (Default: #222)'),
	array('name' => '<small>Border Width</small>', 'id' => 'border_width_int', 'type' => 'val_px',
		'info' => 'Width of borders. (Default: 1px)'),

	array('name' => 'For Widget Areas:', 'type' =>'note',
		'info' => 'You can also set borders for individual widget areas from the <em>Widget Areas</em> tab')
	);

?>
   <p>
Overall options that affect site's <strong>General Appearance</strong>, including main background colors, rounded corners, and <strong>Borders</strong>.
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','general_appearance');
}

// ======================== Main Options > Fonts ========================
function aspen_mainopts_fonts() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Fonts', 'id' => 'a_fonts', 'type' => 'header',
	'info' => 'Font used by theme',
			'help' => 'help.html#Fonts'),

	array ('name' => 'Content Font',
        'id' => 'content_font', 'type' => 'selectold',
        'info' => 'Font used for most content and widget text (Default: "Times New Roman", Times, serif;)',
        'value' => array( '',
            '"Helvetica Neue", Helvetica, sans-serif', 'Arial,Helvetica,sans-serif', 'Verdana,Arial,sans-serif',
            'Tahoma, Arial,sans-serif', '"Arial Black",Arial,sans-serif', '"Avant Garde",Arial,sans-serif', '"Comic Sans MS",Arial,sans-serif',
            'Impact,Arial,sans-serif', '"Trebuchet MS", Helvetica, sans-serif', '"Century Gothic",Arial,sans-serif', '"Lucida Grande",Arial,sans-serif',
            'Univers,Arial,sans-serif', '"Times New Roman",Times,serif', '"Bitstream Charter",Times,serif', 'Georgia,Times,serif',
            'Palatino,Times,serif', 'Bookman,Times,serif', 'Garamond,Times,serif', '"Courier New",Courier', '"Andale Mono",Courier'
        )),
	array ('name' => 'Titles Font', 'id' => 'title_font', 'type' => 'selectold',
        'info' => 'Font used for post, page, and widget titles, info labels, and menus. (Default: "Helvetica Neue", Helvetica, Arial, sans-serif;)',
        'value' => array('',
            '"Helvetica Neue", Helvetica, sans-serif', 'Arial,Helvetica,sans-serif', 'Verdana,Arial,sans-serif',
            'Tahoma, Arial,sans-serif', '"Arial Black",Arial,sans-serif', '"Avant Garde",Arial,sans-serif', '"Comic Sans MS",Arial,sans-serif',
            'Impact,Arial,sans-serif', '"Trebuchet MS", Helvetica, sans-serif', '"Century Gothic",Arial,sans-serif', '"Lucida Grande",Arial,sans-serif',
            'Univers,Arial,sans-serif', '"Times New Roman",Times,serif', '"Bitstream Charter",Times,serif', 'Georgia,Times,serif',
            'Palatino,Times,serif', 'Bookman,Times,serif', 'Garamond,Times,serif', '"Courier New",Courier', '"Andale Mono",Courier'
        )),

	array('name' => 'Site Base Font Size', 'id' => 'site_fontsize_int', 'type' => 'val_px',
        'info' => 'Set the Base Font size. All other font sizes are calculated as a percentage of this size. (Default: 12px)'),
	array('name' => 'Site Base Line Height', 'id' => 'site_line_height_dec', 'type' => 'text',
        'info' => 'Set the Base line-height. Most other line heights based on this multiplier. (Default: 1.5 - no units)'),
	array('name' => '#080Site Base Font Size - Mobile', 'id' => 'site_fontsize_mobile_int', 'type' => 'val_px',
        'info' => 'Set the Base Font size for Mobile Devices. (Default: 12px)')
	);

?>
   <p>
Options controlling Fonts used by Aspen.
   </p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','fonts');
}

// ======================== Main Options > Header ========================
function aspen_mainopts_header() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Header Options', 'id' => 'a_header_opts', 'type' => 'header',
		'info' => 'Options affecting site Header',
		'help' => 'help.html#HeaderOpt'),
	array('name' => 'Header BG', 'id' => 'header_bgcolor', 'type' => 'ctext',
		'info' => 'Background for the header area.'),
	array('name' => '<small>Header Padding: Top/Bottom</small>', 'id' => 'branding_padding', 'type' => '=text_tb',
		'info' => 'Padding at top/bottom of header. (Default:0/0)'),
	array('name' => '<small>Space After Header</small>', 'id' => 'after_header_int', 'type' => '=val_px',
		'info' => 'Change the space between Header and Body'),

	array('name' => 'Site Title/Tagline', 'id' => 'a_site_title_des', 'type' =>'subheader',
        'info' => 'Settings related to the Site Title and Tagline (Tagline sometimes called Site Description)'),
	array('name' => 'Site Title', 'id' => 'title_color', 'type' => 'ctext',
		'info' => "The site's main title in the header (blog title)"),
	array('name' => '<small>Site Title Font Size</small>', 'id' => 'title_font_size', 'type' => 'val_percent',
		'info' => "Title font size (default: 300%)"),

	array('name' => '<small>Title Position</small>', 'id' => 'title_position_xy', 'type' => '=text_xy_percent',
		'info' => 'Adjust left and top margins for Title. Decimal and negative values allowed. (Default: X: 7%, Y:1%)'),
	 array('name' => 'Note:', 'type' => 'note',
		'info' => 'Result of Y position for the header items (title, description, extra html) different if you move item over header image.'),
	array('name' => '<small>Title Max Width</small>', 'id' => 'title_max_w', 'type' => '=val_percent',
		'info' => "Maximum width of title in header area (Default: 90%)"),
	array('name' => '<small>Move Title over Header Image</small>', 'id' => 'title_over_header', 'type' => '=checkbox',
		'info' => 'Check to move the site Title over the Header Image.'),
	array('name' => 'Hide Site Title/Tagline', 'id' => 'hide_site_title', 'type' => '=checkbox',
		'info' => 'Check to hide display of Site Title, Tagline (Uses "display:none;" : SEO friendly.)'),
	array('name' => '#070<small>Hide on phones', 'id' => 'hide_site_title_mobile', 'type' => '=checkbox',
		'info' => 'Hide title on phone sized devices.'),

	array('name' => 'Site Tagline', 'id' => 'desc_color', 'type' => 'ctext',
		'info' => "The site's tagline (blog description)"),
	array('name' => '<small>Site Tagline Font Size</small>', 'id' => 'desc_font_size', 'type' => 'val_percent',
		'info' => 'Site Tagline font size (default: 133%)'),

	array('name' => '<small>Tagline Position</small>', 'id' => 'desc_position_xy', 'type' => '=text_xy_percent',
		'info' => 'Adjust default left and top margins for Tagline. (Default: X: 10% Y:0%)'),
	array('name' => '<small>Tagline Max Width</small>', 'id' => 'desc_max_w', 'type' => '=val_percent',
		'info' => "Maximum width of Tagline in header area (Default: 90%)"),
	array('name' => '#070<small>Show Tagline on phone view</small>', 'id' => 'desc-show-mobile', 'type' => 'checkbox',
		'info' => 'Check to display site Tagline on phone view.'),
	array('name' => '<small>Move Tagline over Header Image</small>', 'id' => 'desc_over_header', 'type' => '=checkbox',
		'info' => 'Check to move the site Tagline over the Header Image.'),

	array( 'type' => '=submit'),

	array('name' => 'Extra Header HTML/Logo', 'type' =>'subheader', 'info' => 'Add extra HTML or Logo image to Header'),
	array('name' => 'Header Extra HTML', 'id' => 'header_html', 'type' => 'textarea',
		'info' => "Add arbitrary HTML to Header Area (in &lt;div id=\"header-extra-html\"&gt;)"),
	array ('name' => 'Header Logo', 'id' => 'header_html_img', 'type' => 'textmedia', //code
	   'info' => 'URL for a Header Logo. You may also enter full &lt;img&gt; specification. - &diams;'),
	array('name' => '<small>Logo max-width</small>', 'id' => 'header_html_img_maxw', 'type' => 'val_percent',
		'info' => 'Max-width of logo as % of header width - generates responsive logo. (max width + X position must be &lt; 100%)'),

	array('name' => '<small>Extra HTML/Logo Position</small>', 'id' => 'header_html_position_xy', 'type' => 'text_xy_percent',
		'info' => 'Adjust default left and top margins for Extra HTML. (In top area, or over header image.)'),
	array('name' => '<small>Move Extra HTML over Header Image</small>', 'id' => 'header_html_over_header', 'type' => 'checkbox',
		'info' => 'Check to move the Extra HTML over the Header Image.'),
	array('name' => '#070<small>Hide on Mobile', 'id' =>'header_html_hide_mobile' , 'type' => 'checkbox',	//code
        'info' => 'Hide the extra HTML/Logo on phone and small tablet mobile views.'),

	array('name' => 'Header Image', 'id' => 'a_header_image', 'type' =>'subheader', 'info' => 'Settings related to standard header image'),
	array('name' => 'Hide Header Image', 'id' => 'hide_header_image', 'type' => 'checkbox',
		'info' => 'Check to hide display of standard header image on all pages.'),

	array('name' => '<small>Suggested Header Image Height</small>', 'id' => 'header_image_height_int', 'type' => 'val_px',
		'info' => 'Change the suggested height of the Header Image. Standard size is 188. This only affects the clipping window on
		the Appearance:Header page. Header images will be responsively sized. (Default header image width: theme width)'),
	array('name' => '<small>Use Actual Image Size</small>', 'id' => 'header_actual_size', 'type' => '=checkbox',
		'info' => 'Check to use actual header image size, centered in header. (Default: theme width)'),

	array('name' => '<small>Hide Header Image on Normal View</small>', 'id' => 'normal_hide_header_image', 'type' => '=checkbox',
		'info' => 'Check to hide display of standard header image when site viewed on normal devices (non-Mobile).'),

	array('name' => '#070<small>Hide Header Image on Mobile View</small>', 'id' => 'mobile_hide_header_image', 'type' => '=checkbox',
		'info' => 'Check to hide display of standard header image when site viewed on phones and small tablet devices.'),
	array('name' => '<small>Hide Header Image Front Page</small>', 'id' => 'hide_header_image_front', 'type' => '=checkbox',
		'info' => 'Check to hide display of standard header image on front page only.'),

	array('name' => '<small>Header Image Links to Site</small>', 'id' => 'link_site_image', 'type' => '=checkbox',
		'info' => 'Check to add a link to site home page for Header Image'),

	array( 'name' => '<small>Hide Featured Image for Header</small>', 'id' => 'hide_featured_header', 'type' => '=checkbox',
		'info' => 'Hide the "Featured Image" (when set to image as wide as normal header image in Post/Page edit) from appearing as the header image in all views. (Also see "Show Featured Image in Posts").'),

	array('name' => 'Note:', 'type' => 'note',
		'info' => 'There are more Header options available on the Dashboard Appearance->Header panel.')
	);

?>
   <p>
Options for objects in the <strong>Header</strong>, including the <strong>Site Title and Site Tagline</strong>, the <strong>Header Image</strong>,
the <strong>Header Widget Area</strong> and its widgets, and some other advanced options.
   </p>
<?php
	aspen_form_show_options($opts);

	do_action('aspen_pro_admin','header_opts');
}

// ======================== Main Options > Menus ========================
function aspen_mainopts_menus() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Menu Bar and Info Bar', 'id' => 'a_menubarinfobar', 'type' => 'header',
		'info' => 'Options affecting site Menus and the Info Bar',
		'help' => 'help.html#MenuBar'),
	array('name' =>'Menu Bar', 'id' => 'a_menubar', 'type'=>'subheader',
		'info' => 'Attributes of main menu bar (Primary, Secondary, and main extra menu)'),
	array('name' => 'Menu Bar BG', 'id' => 'menubar_bgcolor', 'type' => 'ctext',
		'info' => 'The main menu bar background color'),
	array('name' => 'Menu Bar text', 'id' => 'menubar_text_color', 'type' => 'ctext',
		'info' => 'Main menu bar text item when not hovering'),
	array('name' => '<small>Menu Bar Font size</small>', 'id' => 'menubar_text_size_int', 'type' => 'val_percent',
        'info' => 'Font size for menu bar titles (Recommended: 133%)'),
	array('name' => 'Menu Bar hover BG', 'id' => 'menubar_hover_bgcolor', 'type' => 'ctext',
		'info' => 'The menu item background when hovering over item.'),
	array('name' => 'Menu Bar hover text', 'id' => 'menubar_hover_color', 'type' => 'ctext',
		'info' => 'Main menu bar text item when hovering'),
	array('name' => '<small>Bold Menu Text</small>', 'id' => 'bold_menu', 'type' => 'checkbox',
		'info' => 'Check to use bold font style for menu text.'),
	array('name' => '<small>Italic Menu Text</small>', 'id' => 'italic_menu', 'type' => 'checkbox',
		'info' => 'Check to use italic font style for menu text.'),

	array('name' =>'Sub-Menu Drop Downs','type'=>'subheader_alt',
		'info' => 'Attributes of menu drop downs'),
	array('name' => 'Sub-Menu Item BG', 'id' => 'submenubar_bgcolor', 'type' => 'ctext',
		'info' => 'The sub-menu drop down items'),

	array('name' => 'Sub-Menu text', 'id' => 'submenubar_text_color', 'type' => 'ctext',
		'info' => 'Sub-menu bar text item when not hovering'),
	array('name' => 'Sub-Menu hover BG', 'id' => 'submenubar_hover_bgcolor', 'type' => 'ctext',
		'info' => 'The submenu drop down background when hovering over item.'),
	array('name' => 'Sub Menu text hover', 'id' => 'submenubar_hover_color', 'type' => 'ctext',
		'info' => 'Sub-menu drop down text item when hovering'),
	array('name' => '<small>Bold Sub-Menu Text</small>', 'id' => 'bold_submenu', 'type' => 'checkbox',
		'info' => 'Check to use bold font style for sub-menu text.'),
	array('name' => '<small>Italic Sub-Menu Text</small>', 'id' => 'italic_submenu', 'type' => 'checkbox',
		'info' => 'Check to use italic font style for sub-menu text.'),

	array('name' =>'Current Page','type'=>'subheader_alt',
		'info' => 'Attributes of menu text when indicating current page and its ancestors'),
	array('name' => 'Current Page Text', 'id' => 'menubar_curpage_color', 'type' => 'ctext',
		'info' => 'Color for the currently displayed page and its ancestors.'),
	array('name' => '<small>Bold Current Page</small>', 'id' => 'menubar_curpage_bold', 'type' => 'checkbox',
		'info' => 'Bold Face Current Page and ancestors'),
	array('name' => '<small>Italic Current Page</small>', 'id' => 'menubar_curpage_em', 'type' => 'checkbox',
		'info' => 'Italic Current Page and ancestors'),
	array('name' => '<small>Do Not Highlight Ancestors</small>', 'id' => 'menubar_curpage_noancestors', 'type' => '=checkbox',
		'info' => 'Highlight Current Page only - do not also highlight ancestor items'),

	array( 'type' => 'submit'),

	array('name' => 'Mobile', 'type' => '=subheader_alt',
		'info' => 'Options for Mobile Menus'),
	array('name' => '#070<small>Hide Menu Extras</small>', 'id' => 'mobile_hide_menu_extras', 'type' => '=checkbox',
		'info' => "Hide menu extras on the Slide Open Mobile Menu - html right, social buttons, search, and login."),
	array('name' => '#070<small>Threshold for Slide Open Menu</small>', 'id' =>'mobile_slide_threshold' , 'type' => 'val_px',
        'info' => 'Threshold width for switching to Slide Open Menu. Suggested values: Never: 0 - Phones: 580, Small Tablets: 640, Tablets (portrait): 768, All: 5000. (Default: 640)'),
	array('name' => '#070<small>Text for Home label</small>', 'id' =>'mobile_slide_home_label' , 'type' => '=widetext',
        'info' => 'This lets you change the Home label on the phone slide open menu bar. (Default: Home)'),
	array('name' => '#070<small>Text for Primary Menu label</small>', 'id' =>'mobile_slide_nav_label' , 'type' => '=widetext',
        'info' => 'This lets you change the Menu label on the mobile slide open Primary menu bar. (Default: Menu)'),
	array('name' => '#070<small>Text for Secondary Menu label</small>', 'id' =>'mobile_slide_nav_label_sec' , 'type' => '=widetext',
        'info' => 'This lets you change the Menu label on the mobile slide open secondary menu bar. (Default: Menu)'),
    array('name' => '#070<small>Use &#9776; for Menu Labels</small>', 'id' => 'mobile_menu_icon', 'type' => '=checkbox',
		'info' => "Use the &#9776; menu icon for top and bottom mobile menus instead of 'Menu'."),
	array('name' => '#070<small>Hide Top Menu Bar for Mobile</small>', 'id' => 'mobile_hide_secondary_menu', 'type' => '=checkbox',
		'info' => "Hide just the top menu on mobile phone and small tablet view."),

	array('name' => 'Menu Bar Extras', 'type' => 'subheader_alt',
		'info' => 'Menu Bar enhancements and features'),

	array('name' => 'Menu Bar Gradient', 'id' => 'gradient_menu', 'type' => 'checkbox',
		'info' => 'Check to add gradient effect to menu bars'),
	array('name' => 'Menu Bar Shadow', 'id' => 'menu_shadow', 'type' => 'checkbox',
		'info' => 'Add a slight shadow to the Menu Bar. (Does\'t display on older IE versions.)'),
	array('name' => 'Use Menu Effects', 'id' => 'use_superfish', 'type' => 'checkbox',
		'info' => 'Check to use Menu Effects: arrows for sub-menus, shadows, smooth open'),
	array('name' => '<small>Arrow color</small>', 'id' => 'superfish_arrows', 'type' => 'select_id',
        'info' => 'Select color for arrow used with Menu Effects',
        'value' => array(
			array('val' => 'ffffff', 'desc'=> 'White Arrows' ),
			array('val' => 'c0c0c0', 'desc'=> 'Light Gray Arrows' ),
			array('val' => '7f7f7f', 'desc' => 'Gray Arrows'),
			array('val' => '404040', 'desc'=> 'Dark Gray Arrows' ),
			array('val' => '000000', 'desc' => 'Black Arrows')
		)),

	array('name' => 'Add Search to Menu Bar', 'id' => 'menu_addsearch', 'type' => 'checkbox',
		'info' => "Add a search box to Primary menu bar on right."),
	array('name' => 'Add Log in to Menu Bar', 'id' => 'menu_addlogin', 'type' => '=checkbox',
		'info' => "Add a simple Log In link to Primary menu bar on right."),

	array('name' => '<small>Move Primary Menu to Top</small>', 'id' => 'move_menu', 'type' => 'checkbox',
		'info' => 'Move the Primary Menu to above the image (Secondary Menu will be on bottom)'),

	array('name' => '<small>Move Top Menu next to header image</small>', 'id' => 'top_menu_before_header', 'type' => '=checkbox',
		'info' => 'Move the top menu next to (right above) the header image/header insert code area/horizontal widget area.'),

	array('name' => '<small>Hide Menu Bars</small>', 'id' => 'hide_menu', 'type' => '=checkbox',
		'info' => "Hides default primary and secondary menu bars, including mobile menu."),
	array('name' => '#070<small>Hide Menu Bars - Desktop</small>', 'id' => 'hide_menu_bar', 'type' => '=checkbox',
		'info' => "Hides default primary and secondary menu bars, but just on the desktop view. Will still show mobile slide open menu."),
	array('name' => '<small>No Home Menu Item</small>', 'id' => 'menu_nohome', 'type' => '=checkbox',
		'info' => 'Don\'t automatically add Home menu item for home page (as defined in Settings->Reading)'),

	array('name' => 'Menu Bar Layout', 'type' => '=subheader_alt',
		'info' => 'Additional settings for menu bar look'),
		 array('name' => 'Center Menu', 'id' => 'menu_center', 'type' => 'checkbox',
		'info' => "Center Primary and Secondary menus (non-mobile menus). IMPORTANT! Search/Login moved to left side. Does not work when not enough width available."),
	array('name' => '<small>Move Primary Menu to Right</small>', 'id' => 'menu_right_primary', 'type' => 'checkbox',
		'info' => "Move Primary menu to right side (non-mobile; left for RTL)"),
	array('name' => '<small>Move Secondary Menu to Right</small>', 'id' => 'menu_right_secondary', 'type' => 'checkbox',
		'info' => "Move Secondary menu to right side (non-mobile; left for RTL)"),

	array('name' => 'Menu Bar Height', 'id' => 'menu_height_int', 'type' => 'val_px',
		'info' => 'Height of Menu Bar. Non-default value won\'t work well with gradient. (Default: 38px)'),

	array( 'type' => '=submit'),

	 array('name' => 'Add HTML to Menu Bar', 'type' => '=subheader_alt',
		'info' => 'Add HTML to the right end of the primary menu bar.'),
	array('name' => '', 'type' => '=note',
        'info' => 'The HTML can include images, links, text, and shortcodes. The maximum height for images is 24px. Add <em>style="top:2px"</em>
		to the &lt;img&gt; tag, and adjust the 2px as needed. Wrap text in &lt;span class="add-text"&gt;text&lt;span&gt; for proper centering.'),

	array('name' => 'Add HTML to Right', 'id' => 'menu_addhtml', 'type' => '=textarea',
        'info' => 'Add HTML to right end of menu bar.'),


	array('name' => 'Info Bar', 'id'=>'a_infobar', 'type' => 'subheader',
        'info' => 'Options for the top Info Bar'),
	array('name' => 'Hide Info Bar', 'id'=>'infobar_hide', 'type' => 'checkbox',
        'info' => 'Do not display the Info Bar'),
	array('name' => 'Hide Breadcrumbs', 'id'=>'info_hide_breadcrumbs', 'type' => 'checkbox',
        'info' => 'Do not display the Breadcrumbs'),
	array('name' => 'Hide Page Navigation', 'id'=>'info_hide_pagenav', 'type' => 'checkbox',
        'info' => 'Do not display the numbered Page navigation'),
	array('name' => 'Show Search box', 'id'=>'info_search', 'type' => '=checkbox',
        'info' => 'Include a Search box on the right'),
	array('name' => 'Show Log In', 'id'=>'info_addlogin', 'type' => '=checkbox',
        'info' => 'Include a simple Log In link on the right'),
	 array('name' => 'Info Bar Location', 'id' => 'infobar_location', 'type' => 'select_id',
        'info' => 'Info bar can be placed after the menu bar before sidebars and content, or right before content area',
	  'value' => array(
			array('val' => 'top', 'desc'=> 'After Menu Bar' ),
			array('val' => 'content', 'desc'=> 'Above Content Area' )
		)),
	array('name' => 'Breadcrumb for Blog', 'id' =>'info_blog_label' , 'type' => '=widetext', //code - option done in code
        'info' => 'This lets you change the breadcrumb label for your blog page. (Default: Blog)'),
	array('name' => 'Breadcrumb for Home', 'id' =>'info_home_label' , 'type' => '=widetext', //code - option done in code
        'info' => 'This lets you change the breadcrumb label for your home page. (Default: Home)'),

	array('name' => 'Info Bar Attributes', 'id'=>'', 'type' => '=subheader_alt',
        'info' => 'Additional Attributes for Info Bar'),
	array('name' => 'Background', 'id' => 'infob_bgcolor', 'type' => '=ctext',
        'info' => 'Background color for Info Bar'),
	array('name' => 'Text Color', 'id' => 'infob_color', 'type' => '=ctext',
        'info' => 'Text color for Info Bar'),
	array('name' => '<small>Info Bar Font size</small>', 'id' => 'infob_text_size_int', 'type' => 'val_percent',
        'info' => 'Font size for Info Bar Text (Recommended: 110%)'),
	array('name' => '<small>Top/Bottom Padding</small>', 'id' => 'infob_padding', 'type' => '=text_tb',
        'info' => 'Top and Bottom padding for Info Bar'),
	array('name' => '<small>Left/Right Padding</small>', 'id' => 'infob_padding', 'type' => '=text_lr',
        'info' => 'Left and Right padding for Info Bar'),
	);

?>
<p>
Options for the <strong>Menu Bar</strong> (colors, font style, Mobile menu, Search) and the <strong>Info Bar</strong>
(breadcrumbs, page navigation)
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','menu_bar');
}

// ======================== Main Options > Links ========================
function aspen_mainopts_links() {
	/* other links to consider:
	  .page-link a

	*/
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Links', 'id' => 'mainopts_links', 'type' => 'header',
		'info'=> 'Color attributes for links',
	'help' => 'help.html#Links'),

	array('name' => 'Standard Link', 'id' => 'link', 'type' => 'link',
		'info' => 'Default for links - colors used if not overridden by other link settings. Bold, Italic, and Underline are set per link type.'),

	array('name' => 'Post Entry Title Link', 'id' => 'plink', 'type' => 'link',
        'info' => 'Post entry title link color (Use this color for Post title on blog pages. On single view, post title same as page title.)'),

	array('name' => 'Post Info Link', 'id' => 'ilink', 'type' => 'link',
		'info' => 'Links in post information top and bottom lines.'),

	array('name' => 'Widget Link', 'id' => 'wlink', 'type' => 'link',
		'info' => 'Color for links in widgets (uses Standard Link colors if left blank).'),

	array('name' => 'Info Bar Link', 'id' => 'ibarlink', 'type' => 'link',
		'info' => 'Color for links in Info Bar (uses Standard Link colors if left blank).'),

	array('name' => 'Footer Link', 'id' => 'footerlink', 'type' => 'link',
		'info' => 'Color for links in Footer (includes footer widgets; uses Standard Link colors if left blank).')
	);
?>
<p>
	Attributes for <strong>Links</strong> used in various places: Standard Links, Post Entry Title, Post Info lines,
links in widgets, links in the Info Bar, and links in the Footer.
</p>
<?php

	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','links');
}

// ======================== Main Options > Content Areas ========================
function aspen_mainopts_content() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Content Areas', 'id' => 'maintab2', 'type' => 'header',
		'info'=> 'Settings for the content areas (posts and pages)',
	'help' => 'help.html#ContentAreas'),

	array('name' => 'Text','type'=>'subheader_alt',
        'info' => 'Text related options'),
	array('name' => 'Content BG', 'id' => 'content_bgcolor', 'type' => 'ctext',
		'info' => 'Background for post and page #content div (uses main bg if not set).'),
	array('name' => '<small>Page/Post Editor BG</small>', 'id' => 'editor_bgcolor', 'type' => '=ctext',
		'info' => 'Alternative Background Color to use for Page/Post editor if you\'re using transparent or image backgrounds.'),
	array('name' => 'Content text', 'id' => 'content_color', 'type' => 'ctext',
		'info' => 'Main post and page content text.'),
	array('name' => '<small>Page/Post Content Font size</small>', 'id' => 'content_size_int', 'type' => 'val_percent',
        'info' => 'Font size for Post and Page titles. (Recommended: 133%)'),
	array('name' => 'Heading text', 'id' => 'content_headings_color', 'type' => 'ctext',
		'info' => 'Content non-title headings and other labels'),
	array('name' => 'Page Title Text', 'id' => 'page_title_color', 'type' => 'ctext',
		'info' => "Main Title for static and post single view pages (note: post title on blog page is 'Post Entry Title Link')"),
	array('name' => '<small>Page/Post Title Font size</small>', 'id' => 'entrytitle_size_int', 'type' => 'val_percent',
        'info' => 'Font size for Post and Page titles. (Recommended: 150%)'),

	array('name' => '<small>Bar under Titles</small>', 'id' => 'header_underline_int', 'type' => 'val_px',
		'info' => 'Enter size in px if you want a bar under page and post Titles. Leave blank or 0 for no bar.'),
	array('name' => '<small>Input Area BG</small>', 'id' => 'input_bgcolor', 'type' => 'ctext',
		'info' => 'Background color for text input (search, textareas, including ins, pre) boxes.'),
	array('name' => '<small>Input Area Text</small>', 'id' => 'input_color', 'type' => 'ctext',
		'info' => 'Text color for text input (search, textareas) boxes.'),

	array('name' => 'Padding and Spacing', 'type'=>'=subheader_alt',
        'info' => 'Padding around content area (adds extra space around edges). Spacing after elements.'),
	array('name' => 'Content Top/Bottom Padding', 'id' => 'content_padding', 'type' => '=text_tb',
        'info' => 'Top and Bottom padding for content area'),
	array('name' => 'Content Left/Right Padding', 'id' => 'content_padding', 'type' => '=text_lr',
        'info' => 'Left and Right padding for content area'),
	array('name' => '<small>Space between title and content</small>', 'id' => 'content_top_dec', 'type' => '=val_em',
		'info' => 'Space between Page or Post title and beginning of content (Recommended: 1.5 em)'),
	array('name' => '<small>Space after paragraphs and lists</small>', 'id' => 'content_p_list_dec', 'type' => '=val_em',
		'info' => 'Space after paragraphs and lists (Recommended: 1.5 em)'),


	array( 'type' => 'submit'),
	array('name' => 'Images', 'type'=>'subheader_alt',
        'info' => 'Image related options'),
	array('name' => '<small>Image Border Color</small>', 'id' => 'media_lib_border_color', 'type' => 'ctext',
		'info' => 'Border color for images.'),
	array('name' => '<small>Image Border Width</small>', 'id' => 'media_lib_border_int', 'type' => 'val_px',
		'info' => 'Border width for images.'),
	array('name' => '<small>No Image Borders', 'id' => 'hide_img_borders', 'type' => 'checkbox',
        'info' => 'Do not use borders or shadows on images.'),
	array('name' => '<small>No Image Shadows', 'id' => 'hide_img_shadows', 'type' => 'checkbox',
        'info' => 'Do not use shadows on images. Borders retained if previous option not checked.'),
	array('name' => '<small>Caption text color</small>', 'id' => 'caption_color', 'type' => 'ctext',
		'info' => 'Color of captions - e.g., below media images.'),

	array('name' => 'Featured Image', 'type'=>'subheader_alt',
        'info' => 'Display of Page Featured Images'),
	array('name' => '<small>Hide Featured Image on Pages', 'id' => 'hide_page_featured', 'type' => 'checkbox',
        'info' => 'Hide any small Featured Image associated with a Page (Posts have their own setting.)'),
	array ('name' => 'Page Featured Image Size',
        'id' => 'fi_size_page', 'type' => 'select_id', 'info' => 'Image Size for Featured Image on pages.',
		'value' => array(
			array('val' => 'thumbnail', 'desc' => 'Thumbnail (default)'),
			array('val' => 'medium', 'desc' => 'Medium'),
			array('val' => 'large', 'desc' => 'Large'))
	  ),
	array('name' => '<small>Featured Image Width, Pages</small>', 'id' => 'featured_page_width', 'type' => '=val_px',
			'info' => 'Width of Featured Image when shown on pages. Height will remain proportional. Use 0 to hide.' ),

	array('name' => 'Lists- &lt;HR&gt; - Tables', 'type'=>'subheader_alt',
        'info' => 'Other options related to content'),
	array ('name' => 'Content List Bullet',
        'id' => 'contentlist_bullet', 'type' => 'select_id', 'info' => 'Bullet used for Unorderd Lists in Content areas',
        'value' => array(
			array('val' => 'disc', 'desc' => 'Filled Disc (default)'),
			array('val' => 'circle', 'desc' => 'Circle'),
			array('val' => 'square', 'desc' => 'Square'),
			array('val' => 'none', 'desc' => 'None'))
	  ),

	array('name' => '&lt;HR&gt; color', 'id' => 'hr_color', 'type' => 'ctext',
		'info' => 'Color of horizontal (&lt;hr&gt;) lines in posts and pages.'),

	array ('name' => 'Table Style', 'id' => 'aspen_tables', 'type' => 'select_id',
		'info' => 'Style used for tables in content.',
		'value' => array(
			array('val' => 'default', 'desc' => 'Theme Default'),
			array('val' => 'bold', 'desc' => 'Bold Headings'),
			array('val' => 'noborders', 'desc' => 'No Borders'),
			array('val' => 'fullwidth', 'desc' => 'Wide'),
			array('val' => 'wide', 'desc' => 'Wide 2'),
			array('val' => 'plain', 'desc' => 'Minimal'))
	  ),

	array('name' => 'Comments', 'type' => 'subheader',
        'info' => 'Settings for displaying comments'),
	array('name' => 'Comment Headings', 'id' => 'comment_headings_color', 'type' => 'ctext',
        'info' => 'Color for various headings in comment form'),
	array('name' => 'Comment Content BG', 'id' => 'comment_content_bgcolor', 'type' => 'ctext',
        'info' => 'BG Color of Comment Content area'),
	array('name' => 'Comment Submit Button BG', 'id' => 'comment_submit_bgcolor', 'type' => 'ctext',
        'info' => 'BG Color of "Post Comment" submit button'),
	array('name' => '<small>Show Allowed HTML</small>', 'id' => 'form_allowed_tags', 'type' => '=checkbox',
        'info' => 'Show the allowed HTML tags below comment input box'),
	array('name' => '<small>Hide Comment Title Icon</small>', 'id' => 'hide_comment_bubble', 'type' => '=checkbox',
        'info' => 'Hide the comment icon before the Comments title'),
	array('name' => '<small>Hide Separator Above Comments</small>', 'id' => 'hide_comment_hr', 'type' => '=checkbox',
        'info' => 'Hide the (&lt;hr&gt;) separator line above the Comments area'),
	array('name' => '<small>Add Borders to Comments</small>', 'id' => 'show_comment_borders', 'type' => '=checkbox',
        'info' => 'Show Borders around comment sections')
	);

?>
   <p>
Options for <strong>Content Areas</strong>, including pages and posts. Includes options for <strong>Text</strong>,
<strong>Padding</strong>, <strong>Images</strong>, <strong>Lists &amp; Tables</strong>, and user <strong>Comments</strong>.
   </p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','content_areas');
?>
	<span style="color:green;"><b>Hiding/Enabling Page and Post Comments</b></span>
<?php
	aspen_help_link('help.html#LeavingComments',aspen_t_('Help for Leaving Comments' /*a*/ ));
?>
	<p>Controlling "Reply/Leave a Comment" visibility for pages and posts is <strong>not</strong> a theme function. It is
	controlled by WordPress settings. Please click the ? just above to see the help file entry!</p>
<?php
}

// ======================== Main Options > Post Specifics ========================
function aspen_mainopts_posts() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Post Specifics', 'id' => 'maintab3', 'type' => 'header',
		'info'=> 'Settings affecting Posts',
	'help' => 'help.html#PPSpecifics'),

	array('name' => 'Post BG', 'id' => 'post_bgcolor', 'type' => 'ctext',
		'info' => 'Background color used for posts.'),
	array('name' => '<small>Post Top/Bottom Padding</small>','id' => 'post_padding', 'type' => '=text_tb',
        'info' => 'Top and Bottom padding for Posts - most useful if bg color specified'),
	array('name' => '<small>Post Left/Right Padding</small>','id' => 'post_padding', 'type' => '=text_lr',
        'info' => 'Left and right padding for Posts - most useful if bg color specified'),
	array('name' => 'Sticky Post BG', 'id' => 'stickypost_bgcolor', 'type' => 'ctext',
		'info' => 'BG color for sticky posts, author info. (Add {border:none;padding:0;} to CSS to make sticky posts same as regular posts.)'),
	array('name' => 'Columns of Posts', 'id' => 'blog_cols', 'type' => 'select_id',	//code
        'info' => 'Display posts on blog page with this many columns. (You should adjust "Display posts on blog page with this many columns" on Settings:Reading to be a multiple of this value.)',
        'value' => array(
			array('val' => '1', 'desc' => '1 Column'),
			array('val' => '2', 'desc' => '2 Columns'),
			array('val' => '3', 'desc' => '3 Columns'))
	  ),
	array('name' => 'First Post One Column', 'id' => 'blog_first_one', 'type' => '=checkbox',
		'info' => 'Always display the first post in one column.'),
	array('name' => 'Sticky Posts One Column', 'id' => 'blog_sticky_one', 'type' => '=checkbox',
		'info' => "Display opening Sticky Posts in one column. If First Post One Column also checked, then first non-sticky post will be one column."),
	array('name' => 'Use <em>Masonry</em> for Posts', 'id' => 'masonry_cols', 'type' => 'select_id',	//code
        'info' => 'Use the <em>Masonry</em> blog layout option to show dynamically packed posts on blog and archive-like pages. Overrides "Columns of Posts" setting.',
        'value' => array(
			array('val' => '0', 'desc' => ''),
			array('val' => '2', 'desc' => '2 Columns'),
			array('val' => '3', 'desc' => '3 Columns'),
			array('val' => '4', 'desc' => '4 Columns'),
			array('val' => '5', 'desc' => '5 Columns'))
	  ),
	array('name' => 'Photo Bloging', 'info' => 'Read the Help entry for information on creating a Photo Blog page',
	  'type' => '=note','help' => 'help.html#PhotoBlog'),

	array('name' => '"Post Format" for Posts', 'type' => 'subheader_alt',
        'info' => 'Settings for posts with "Post Format" set (Image, Gallery, Status, etc.)'),

	array('name' => 'Compact "Post Format" Posts', 'id' => 'compact_post_formats', 'type' => '=checkbox',
		'info' => 'Use compact layout for posts with <em>Post Format</em> specified (Image, Gallery, Video, etc.). Useful for photo blogs and multi-column layouts. Looks great with <em>Masonry</em>.'),
	array('name' => 'Hide "Post Format" Pre-Title', 'id' => 'hide_post_format_title', 'type' => '=checkbox',
		'info' => 'Hide the Pre-Title for posts with Post Format specified.'),
	array('name' => '"Post Format" Pre-Title', 'id' => 'post_format_color', 'type' => 'ctext',
		'info' => 'Color for the Post Format Title displayed on posts with Post Format specified.'),


	array('name' => 'Post Title Area', 'type' => 'subheader_alt',
        'info' => 'Post title area options'),

	array('name'=>'Post Title:','type'=>'note',
        'info'=>'Please use "Links:Post Entry Title Link" to set post title color for blog/archive view. On Single page, Post Title is
same color as Content Page Title Text.'),
	array('name' => 'Hide Comment Bubble', 'id' => 'pp_hide_post_bubble', 'type' => 'checkbox',
		'info' => "Hide the comment bubble displayed on the post info line"),
	array('name' => '<small>Show avatar with posts</small>', 'id' => 'show_post_avatar', 'type' => '=checkbox',
			'info' => 'Show author avatar at top of posts (also can be set per post with post editor)'),
	array('name' => '<small>Make avatar tiny</small>', 'id' => 'show_tiny_avatar', 'type' => '=checkbox',
			'info' => 'Make the avatar tiny and display right after author name. (Must check "Show avatar", too.)'),

	array('name' => 'Navigation', 'type' => 'subheader_alt',
        'info' => 'Navigation for pages displaying posts'),
	array('name' => 'Blog Navigation Style', 'id' => 'nav_style', 'type' => 'select_id',
        'info' => 'Style of navigation links on blog pages: "Older/Newer posts", "Previous/Next Post", or by page numbers',
        'value' => array(
			array('val' => 'old_new', 'desc' => 'Older/Newer'),
			array('val' => 'prev_next', 'desc' => 'Previous/Next'),
			array('val' => 'paged_left', 'desc' => 'Paged - Left'),
			array('val' => 'paged_right', 'desc' => 'Paged - Right'))
	  ),
	array('name' => '<small>Hide Top Links</small>', 'id' => 'nav_hide_above', 'type' => '=checkbox',
        'info' => 'Hide the blog navigation links at the top'),
	array('name' => '<small>Hide Bottom Links</small>', 'id' => 'nav_hide_below', 'type' => '=checkbox',
        'info' => 'Hide the blog navigation links at the bottom'),
	array('name' => '<small>Show Top on First Page</small>', 'id' => 'nav_show_first', 'type' => '=checkbox',
        'info' => 'Show navigation at top even on the first page'),

	array('name' => 'Single Page Navigation Style', 'id' => 'single_nav_style', 'type' => 'select_id',
        'info' => 'Style of navigation links on post Single pages: Previous/Next, by title, or none',
        'value' => array(
			array('val' => 'title', 'desc' => 'Post Titles'),
			array('val' => 'prev_next', 'desc' => 'Previous/Next'),
			array('val' => 'hide', 'desc' => 'None - no display'))
	  ),
	array('name' => '<small>Link to Same Categories</small>', 'id' => 'single_nav_link_cats', 'type' => '=checkbox',
        'info' => 'Single Page navigation links point to posts with same categories.'),
	array('name' => '<small>Hide Top Links</small>', 'id' => 'single_nav_hide_above', 'type' => '=checkbox',
        'info' => 'Hide the single page navigation links at the top'),
	array('name' => '<small>Hide Bottom Links</small>', 'id' => 'single_nav_hide_below', 'type' => '=checkbox',
        'info' => 'Hide the single page navigation links at the bottom'),

	array( 'type' => '=submit'),
	array('name' => 'Post Meta Info Areas', 'type' => 'subheader_alt',
        'info' => 'Top and Bottom Post Meta Information areas'),
	array('name' => 'Post Info text', 'id' => 'info_color', 'type' => 'ctext',
		'info' => 'Color for post information text. (also called Meta Info)'),
	array('name' => '<small>Meta Info Font size</small>', 'id' => 'info_font_size_int', 'type' => 'val_percent',
        'info' => 'Font size for meta info lines. (Recommended: 80%)'),
	array('name' => 'Top Post Info BG', 'id' => 'infotop_bgcolor', 'type' => 'ctext',
		'info' => "The top post info area ('Posted on x by y' line - add {display:none;} to CSS to hide entire line.)"),

	array('name' => 'Bottom Post Info BG', 'id' => 'infobottom_bgcolor', 'type' => 'ctext',
		'info' => "The bottom post info area ('Posted in' line - add {display:none;} to CSS to hide entire line.)"),
	array('name' => 'Use Icons in Post Info</small>', 'id' => 'post_icons', 'type' => 'checkbox',
			'info' => 'Check to use icons in Post Info (Meta Info)'),

	array('name' => '<small>Hide top post info</small>', 'id' => 'post_info_hide_top', 'type' => 'checkbox',	//code
        'info' => 'Hide entire top info line (posted on, by) of post.'),
	array('name' => '<small>Hide bottom post info</small>', 'id' => 'post_info_hide_bottom', 'type' => 'checkbox',	//code
        'info' => 'Hide entire bottom info line (posted in, comments) of post.'),

	array('name' => 'Note:', 'type' => '=note', 'info' => 'Hiding any meta info item automatically uses Icons instead of words'),
	array('name' => '<small>Hide Post Date</small>', 'id' => 'post_hide_date', 'type' => '=checkbox',
			'info' => 'Hide the post date everywhere it is normally displayed.'),
	array('name' => '<small>Hide Post Author</small>', 'id' => 'post_hide_author', 'type' => '=checkbox',
			'info' => 'Hide the post author everywhere it is normally displayed.'),
	array('name' => '<small>Hide Post Categories</small>', 'id' => 'post_hide_cats', 'type' => '=checkbox',
			'info' => 'Hide the post categories and tags wherever they are normally displayed.'),
	array('name' => '<small>Hide Post Tags</small>', 'id' => 'post_hide_tags', 'type' => '=checkbox',
			'info' => 'Hide the post tags wherever they are normally displayed.'),
	array('name' => '<small>Hide Permalink</small>', 'id' => 'hide_permalink', 'type' => '=checkbox',
			'info' => 'Hide the permalink.'),
	array('name' => '<small>Hide Category if Only One</small>', 'id' => 'hide_singleton_cat', 'type' => '=checkbox',
			'info' => 'If there is only one overall category defined (Uncategorized), don\'t show Category of post.'),
	array('name' => '<small>Hide Author for Single Author Site</small>', 'id' => 'post_hide_single_author', 'type' => '=checkbox',
			'info' => 'Hide author information if site has only a single author.'),

	array( 'type' => 'submit'),
	array('name' => 'Excerpts', 'type' => 'subheader_alt',
        'info' => 'All about displaying excerpts'),
	array('name' => 'Excerpt Blog Posts', 'id' => 'excerpt_blog', 'type' => 'checkbox',
			'info' => 'Will display excerpts instead of full posts on <em>blog pages</em>. Useful when used with Featured Image.'),
	array('name' => '<small>Full Post for Archives</small>', 'id' => 'fullpost_archive', 'type' => '=checkbox',
			'info' => 'Display the full posts instead of excerpts on <em>special post pages</em>. (Archives, Categories, etc.) Does not override manually added &lt;--more--> breaks.'),
	array('name' => '<small>Full Post for Searches</small>', 'id' => 'fullpost_search', 'type' => '=checkbox',
			'info' => 'Display the full posts instead of excerpts for Search results. Does not override manually added &lt;--more--> breaks.'),
	array('name' => '<small>Full text for 1st <em>"n"</em> Posts</small>', 'id' => 'fullpost_first', 'type' => 'val_num',
			'info' => 'Display the full post for the first "n" posts on Blog pages. Does not override manually added &lt;--more--> breaks.'),
	array('name' => '<small>Excerpt length</small>', 'id' => 'excerpt_length', 'type' => '=val_num',
			'info' => 'Change post excerpt length. (Default: 40 words)'),
	array('name' => '<small><em>Continue reading</em> Message</small>', 'id' => 'excerpt_more_msg', 'type' => '=widetext',
			'info' => 'Change default <em>Continue reading &rarr;</em> message for excerpts. Can include HTML (e.g., &lt;img>).'),

	array('name' => 'Featured Images', 'type' => 'subheader_alt',
        'info' => 'Display of Post Featured Images'),
	array('name' => '<small>Show Featured Image for full posts</small>', 'id' => 'show_featured_image_fullposts', 'type' => 'checkbox',
			'info' => 'Show the "Featured Image" (set on Post edit page) with full post displays'),
	array('name' => '<small>Show Featured Image for excerpts</small>', 'id' => 'show_featured_image_excerptedposts', 'type' => 'checkbox',
			'info' => 'Show the "Featured Image" (set on Post edit page) with excerpted post displays'),
	array ('name' => '<small>Post Featured Image Size, Blog</small>',
        'id' => 'fi_size_post', 'type' => 'select_id', 'info' => 'Image Size for Featured Image post displayed on blog pages.',
        'value' => array(
			array('val' => 'thumbnail', 'desc' => 'Thumbnail (default)'),
			array('val' => 'medium', 'desc' => 'Medium'),
			array('val' => 'large', 'desc' => 'Large'))
	  ),
	array('name' => '<small>Featured Image Width, Blog</small>', 'id' => 'featured_blog_width', 'type' => '=val_px',
			'info' => 'Alternate option: Width of Featured Image when shown on Blog pages. Height will remain proportional. Use 0 to hide.' ),

	array ('name' => '<small>Post Featured Image Size, Single</small>',
        'id' => 'fi_size_post_single', 'type' => 'select_id', 'info' => 'Image Size for Featured Image posts displayed on Single pages.',
		'value' => array(
			array('val' => 'medium', 'desc' => 'Medium (default)'),
			array('val' => 'large', 'desc' => 'Large'),
			array('val' => 'thumbnail', 'desc' => 'Thumbnail'))
	  ),
	array('name' => '<small>Featured Image Width, Single</small>', 'id' => 'featured_single_width', 'type' => '=val_px',
			'info' => 'Alternate option: Width of Featured Image when shown on Single post page. Height will remain proportional. Use 0 to hide.'),


	array('name' => 'Other Post Related Options', 'type' => '=subheader_alt',
        'info' => 'Other options related to post display, including single pages'),
	array('name' => '<small>Show <em>Comments are closed.</em></small>', 'id' => 'show_comments_closed', 'type' => '=checkbox',
		'info' => 'If comments are off, and no comments have been made, show the <em>Comments are closed.</em> message.' ),
    array('name' => 'Author Info BG', 'id' => 'post_author_bgcolor', 'type' => 'ctext',
			'info' => 'Background color used for Author Bio.'),
	array('name' => '<small>Hide Author Bio</small>', 'id' => 'hide_author_bio', 'type' => '=checkbox',
		'info' => 'Hide display of author bio box on single post page view.'),
	array('name' => '<small>Allow comments for attachments</small>', 'id' => 'allow_attachment_comments', 'type' => '=checkbox',
		'info' => 'Allow visitors to leave comments for attachments (usually full size media image - only if comments allowed).')
	);

?>
   <p>
Options related to <strong>Posts</strong>, including <strong>Background</strong> color, <strong>Columns</strong> displayed
on blog pages, <strong>Title</strong> options, <strong>Navigation</strong> to earlier and later posts, the post <strong>
Info Lines</strong>, <strong>Excerpts</strong>, and <strong>Featured Image</strong> handling.
   </p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','post_specifics');
?>
	<span style="color:green;"><b>Hiding/Enabling Page and Post Comments</b></span>
<?php
	aspen_help_link('help.html#LeavingComments',aspen_t_('Help for Leaving Comments' /*a*/ ));
?>
	<p>Controlling "Reply/Leave a Comment" visibility for pages and posts is <strong>not</strong> a theme function. It is
	controlled by WordPress settings. Please click the ? just above to see the help file entry! (Additional options for comment
	<em>styling</em> are found on the Content Areas tab.)</p>
<?php
}


// ======================== Main Options > Footer ========================
function aspen_mainopts_footer() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Footer Options', 'id' => 'maintab4', 'type' => 'header',
		'info'=> 'Settings for the footer',
        'help' => 'help.html#FooterOpt'),

	array('name' => 'Footer BG', 'id' => 'footer_bgcolor', 'type' => 'ctext',
		'info' => 'Background for the footer area.'),
	array('name' => 'Footer Text', 'id' => 'footer_color', 'type' => 'ctext',
		'info' => 'Footer Text Color (use Widget Areas->Widget Area Text if needed for widget text color)'),
	array('name' => '<small>Footer Font size</small>', 'id' => 'footer_size_int', 'type' => 'val_percent',
        'info' => 'Font size for footer. (Recommended: 100%)'),
	array('name' => 'Footer Border', 'id' => 'footer_border_color', 'type' => 'ctext',
		'info' => 'Color of the border above the footer area.'),
	array('name' => 'Footer Border', 'id' => 'footer_border_int', 'type' => 'val_px',
		'info' => 'Height of footer border (Default: 4px)'),
	array('name' => '<small>Hide Entire Footer</small>', 'id' => 'hide_footer', 'type' => '=checkbox',
		'info' => 'Hide the entire footer area.'),
	array('name' => '<small>Hide "final" area</small>', 'id' => 'hide_final', 'type' => '=checkbox',
		'info' => 'Hide the display (but NOT functionality) of script and plugin messages at the very bottom of your site.'),
	array('name' => 'Note:', 'id' => 'footer_note', 'type' => 'note',
		'info' => 'The footer area supports up to 4 widget areas. These auto-adjust their widths.'),
	);

?>
<p>
	Options affecting the <strong>Footer</strong> area, including <strong>Background</strong> color, <strong>Borders</strong>,
	and the <strong>Copyright</strong> message.
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','footer_opts');
?>
		   <span style="color:blue;"><b>Site Copyright</b></span><br/>
	<small>If you fill this in, the default copyright notice in the footer will be replaced with the text here. It will not
	automatically update from year to year.<br /> Use &amp;copy; to display &copy;. You can use other HTML as well.
	Use <span class="style4">&amp;nbsp;</span> to hide the copyright notice. &diams;</small>
	<br />

	<textarea name="<?php aspen_sapi_main_name('_copyright'); ?>" rows=1 style="width:750px;"><?php echo(esc_textarea(aspen_getopt('_copyright'))); ?></textarea>
	<br>
		<label>Hide Powered By tag: <input type="checkbox" name="<?php aspen_sapi_main_name('_hide_poweredby'); ?>" id="_hide_poweredby" <?php checked(aspen_getopt_checked( '_hide_poweredby' )); ?> /></label>
		<small>Check this to hide the "Proudly powered by" notice in the footer.</small>
		<br /><br />
	You can add other content to the Footer from the Advanced Options:HTML Insertion tab.
<?php
}

// ======================== Main Options > Widget Areas ========================
function aspen_mainopts_widgets() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Widget Areas', 'id' => 'maintab5', 'type' => 'header',
		'info'=> 'Settings affecting widget areas',
		'help' => 'help.html#WidgetAreas'),

	array('name' => 'Individual Widgets', 'id' => 'widget_widget', 'type' => 'widget_area',
		'info' => 'Properties for individual widgets (e.g., Text, Recent Posts, etc.)'),
	array('name' => 'Widget Padding', 'id'=> 'widget_widget_padding_int', 'type'=>'=val_px',
        'info' => 'Padding used around all sides of individual widgets. Not usually needed unless widgets have bg color.'),
	array('name' => 'Widget Title', 'id' => 'widget_title_color', 'type' => 'ctext',
		'info' => 'Color for Widget titles and labels.'),
	array('name' => 'Bar under Widget Titles', 'id' => 'widget_header_underline_int', 'type' => 'val_px',
		'info' => 'Enter size in px if you want a bar under Widget Titles. Leave blank or 0 for no bar.'),
	array('name' => 'Widget Text', 'id' => 'widget_color', 'type' => 'ctext',
		'info' => 'Color for widget content (text color).'),
	array('name' => '<small>Widget Font size</small>', 'id' => 'widget_size_int', 'type' => 'val_percent',
        'info' => 'Font size for widgets. (Recommended: 120%)'),
	array ('name' => 'Widget List Bullet',
        'id' => 'widgetlist_bullet', 'type' => '=select_id', 'info' => 'Bullet used for Unorderd Lists in Widget areas',
		'value' => array(
			array('val' => 'disc', 'desc' => 'Filled Disc (default)'),
			array('val' => 'circle', 'desc' => 'Circle'),
			array('val' => 'square', 'desc' => 'Square'),
			array('val' => 'none', 'desc' => 'None'))
	  ),

	array( 'type' => 'submit'),

	array('name' => 'Sidebar Widths:', 'type'=>'note', 'info'=>'Widths of Sidebars set under Layout tab.'),
	array('name' => 'Primary Widget Area', 'id' => 'widget_primary', 'type' => 'widget_area',
		'info' => 'Properties for the Primary Sidebar Widget Area. (Applies to Mobile Widget area also.)'),

	array('name' => 'Upper/Right Widget Area', 'id' => 'widget_right', 'type' => 'widget_area',
		'info' => 'Properties for the Upper/Right Sidebar Widget Area.'),

	array('name' => 'Lower/Left Widget Area', 'id' => 'widget_left', 'type' => 'widget_area',
		'info' => 'Properties for the Lower/Left Sidebar Widget Area.'),
	array('name' => 'Primary, Right, Left Margins', 'type' => 'subheader_alt',
	 'info' => 'Left and Right margins for Primary, Upper/Right, and Lower/Left Widget areas'),
	array('name' => 'Left/Right Margins', 'id' => 'sidbar_widget_margins', 'type' => 'text_lr',
        'info' => 'Left and right margins for the sidebar widget areas.'),

	array('name' => 'Top Widget Areas', 'id' => 'widget_top', 'type' => 'widget_area',
		'info' => 'Properties for all Top Widget areas (Sitewide, Pages, Blog, Archive).'),
	array('name' => 'Left/Right indent', 'id' => 'widget_top_indent_int', 'type' => 'val_percent',
		'info' => 'Top Widget Areas: Set the left and right indents - centers widget area in content area'),

	array('name' => 'Bottom Widget Areas', 'id' => 'widget_bottom', 'type' => 'widget_area',
		'info' => 'Properties for all Bottom Widget areas (Sitewide, Pages, Blog, Archive).'),
	array('name' => 'Left/Right indent', 'id' => 'widget_bottom_indent_int', 'type' => 'val_percent',
		'info' => 'Bottom Widget Areas: Set the left and right indents - centers widget area in content area'),

	array('name' => 'Footer Widget Areas', 'id' => 'widget_footer', 'type' => 'widget_area',
		'info' => 'Properties for all Footer Widget areas.'),

	array('name' => 'All Widget Areas','type' => 'subheader_alt',
        'info' => 'Properties that apply to all widget areas.'),
	array('name' => 'Widget Area Padding', 'id'=>'widget_padding_int', 'type'=>'val_px',
        'info' => 'Padding used around all sides of widget areas.')

	);
?>
<p>
Options affecting <strong>Widget Areas</strong>. This includes properties of <strong>Widgets</strong>, as well as
properties of various <strong>Widget Areas</strong>.
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','widget_areas');
?>

<p style="color:green;"><strong>Note: Specify the layout of sidebar widget areas on the Layout tab.
</strong></p>
<?php
}

// ======================== Main Options > Layout ========================
function aspen_mainopts_layout() {
	$opts = array(
	array( 'type' => 'submit'),
	array('name' => 'Layout', 'id' => 'mainopts_layout', 'type' => 'header',
		'info'=> 'Settings for site layout: theme width and margins, sidebar layout',
        'help' => 'help.html#layout'),
	array( 'name' => 'Theme Width', 'id' => 'theme_width_int', 'type' => 'val_px',
		'info' => 'Change Theme Width. Standard size is 940px. Header Image width is automatically changed, too. Does not include wrapper padding. Widths less than 650px will give unexpected results on mobile devices. (Uses CSS "max-width" to set width, which gives "flexible width" shrinking for displays smaller than the width specified.)'),
	array('name' => '<small>Theme Width Fixed</small>', 'id' => 'theme_width_fixed', 'type' => '=checkbox',
		'info' => 'Force the theme width to be fixed (use CSS "width" instead of "max-width"). Using this option is not recommended. This setting will also disable responsive support for mobile devices.'),
	array('name' => 'Theme Margins: Top/Bottom', 'id' => 'site_margins', 'type' => 'text_tb',
		'info' => 'Top and bottom margins around whole site. (Default: 0px)'),
	array('name' => 'Theme Margins: Left/Right', 'id' => 'site_margins', 'type' => 'text_lr',
		'info' => 'Left and right margins around whole site. (Default: 0px)'),
	array('name' => 'Wrapper Padding', 'id' => 'wrapper_padding', 'type' => 'val_px',
		'info' => 'Wrapper Padding - space between wrapper edges and header, content, sidebars, footer. (Default: 0px)'),


	array('name' => 'Sidebar Layout', 'type' => 'subheader', 'info' => 'Sidebar Layout for each type of page'),
	array('name' => aspen_t_('Blog, Post, Page Default' /*a*/ ), 'id' => 'layout_default', 'type' => 'select_id',
        'info' => aspen_t_('Select the default theme layout for blog, single post, and pages.' /*a*/ ),
        'value' => array(
			array('val' => 'right-1-col', 'desc'=> 'Single column sidebar on Right' ),
			array('val' => 'left-1-col', 'desc' => 'Single column sidebar on Left'),
			array('val' => 'right-2-col', 'desc' => 'Double Cols, Right (top wide)'),
			array('val' => 'left-2-col', 'desc' => 'Double Cols, Left (top wide)'),
			array('val' => 'right-2-col-bottom', 'desc' => 'Double Cols, Right (bottom wide)'),
			array('val' => 'left-2-col-bottom', 'desc' => 'Double Cols, Left (bottom wide)'),
			array('val' => 'split', 'desc' => 'Split - sidebars on Right and Left'),
			array('val' => 'one-column', 'desc' => 'No sidebars, one column content')
		)),

	array('name' => aspen_t_('Archive-like Default' /*a*/ ), 'id' => 'layout_default_archive', 'type' => 'select_id',
        'info' => aspen_t_('Select the default theme layout for all other pages - archives, search, etc.' /*a*/ ),
        'value' => array(
			array('val' => 'one-column', 'desc' => 'No sidebars, one column content'),
			array('val' => 'right-1-col', 'desc'=> 'Single column sidebar on Right' ),
			array('val' => 'left-1-col', 'desc' => 'Single column sidebar on Left'),
			array('val' => 'right-2-col', 'desc' => 'Double Cols, Right (top wide)'),
			array('val' => 'left-2-col', 'desc' => 'Double Cols, Left (top wide)'),
			array('val' => 'right-2-col-bottom', 'desc' => 'Double Cols, Right (bottom wide)'),
			array('val' => 'left-2-col-bottom', 'desc' => 'Double Cols, Left (bottom wide)'),
			array('val' => 'split', 'desc' => 'Split - sidebars on Right and Left')
		)),

	array('name' => aspen_t_('<small>Page</small>' /*a*/ ), 'id' => 'layout_page', 'type' => 'select_layout',
        'info' => aspen_t_('Layout for normal Pages on your site.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Blog</small>' /*a*/ ), 'id' => 'layout_blog', 'type' => 'select_layout',
        'info' => aspen_t_('Layout for main blog page. Includes "Page with Posts" Page templates.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Post Single Page</small>' /*a*/ ), 'id' => 'layout_single', 'type' => 'select_layout',
        'info' => aspen_t_('Layout for Posts displayed as a single page.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Archive</small>' /*a*/ ), 'id' => 'layout_archive', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for archive pages on your site. Used for all archive-like pages unless otherwise specified.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Category Archive</small>' /*a*/ ), 'id' => 'layout_category', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for category archive pages.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Tags Archive</small>' /*a*/ ), 'id' => 'layout_tag', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for tag archive pages.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Author Archive</small>' /*a*/ ), 'id' => 'layout_author', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for author archive pages.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Search Results, 404</small>' /*a*/ ), 'id' => 'layout_search', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for search results and 404 pages.' /*a*/ ),
        'value' => ''
	  ),
	array('name' => aspen_t_('<small>Attachments</small>' /*a*/ ), 'id' => 'layout_image', 'type' => 'select_layout',	//code
        'info' => aspen_t_('Layout for attachment pages such as images.' /*a*/ ),
        'value' => ''
	  ),

	array( 'type' => '=submit'),

	array('name' => aspen_t_('Sidebar Wrappers Properties' /*a*/ ), 'id' => 'layout_image', 'type' => '=subheader',
        'info' => aspen_t_('Widths and Background of Sidebars' /*a*/ )
	  ),
	array('name' => 'Right Side, One Column', 'type' => '=subheader_alt',
		'info' => 'Wrapper area for Single column sidebar on Right (Top+Upper+Lower Widget Areas)'),
	array('name' => 'Sidebar Width', 'id' => 'sb_right_1_col_width_int', 'type' => 'val_percent',
		'info' => 'Width of sidebar (Default: 25%)'),
	array('name' => 'Background', 'id' => 'sb_right_1_col_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of sidebar wrapper'),

	array('name' => 'Left Side, One Column', 'type' => '=subheader_alt',
		'info' => 'Wrapper area for Single column sidebar on Left (Top+Upper+Lower Widget Areas)'),
	array('name' => 'Sidebar Width', 'id' => 'sb_left_1_col_width_int', 'type' => 'val_percent',
		'info' => 'Width of sidebar (Default: 25%)'),
	array('name' => 'Background', 'id' => 'sb_left_1_col_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of sidebar wrapper.'),

	array('name' => 'Right Side, Two Column', 'type' => '=subheader_alt',
		'info' => 'Wrapper area for Double column sidebar on Right (Top above Left+Right Widget Areas)'),
	array('name' => 'Sidebar Width', 'id' => 'sb_right_2_col_width_int', 'type' => 'val_percent',
		'info' => 'Width of sidebar (Primary/Top Widget Area is this width) (Default: 33%)'),
	array('name' => 'Background', 'id' => 'sb_right_2_col_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of sidebar wrapper'),

	array('name' => 'Left Side, Two Column', 'type' => '=subheader_alt',
		'info' => 'Wrapper area for Double column sidebar on Left (Top above Left+Right Widget Areas)'),
	array('name' => 'Sidebar Width', 'id' => 'sb_left_2_col_width_int', 'type' => 'val_percent',
		'info' => 'Width of sidebar (Primary/Top Widget Area is this width) (Default: 33%)'),
	array('name' => 'Background', 'id' => 'sb_left_2_col_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of sidebar wrapper'),

	array('name' => 'Two Column - Left/Right', 'type' => '=subheader_alt',
		'info' => 'The Left and Right sidebars under the Primary (top) area in Double column sidebars.'),
	array('name' => 'Left Width', 'id' => 'sb_2_left_area_int', 'type' => 'val_percent',
		'info' => 'Left Width as % of double sidebar area width (Right set automatically) (Default: 55%)'),

	array('name' => 'Split Sidebars', 'type' => '=subheader_alt',
		'info' => 'Wrapper area for Split sidebars - Left side and Right side (Top above Right)'),
	array('name' => 'Sidebar Width - Left', 'id' => 'sb_split_left_width_int', 'type' => 'val_percent',
		'info' => 'Width of Left Side sidebar (Default: 17%)'),
	array('name' => 'Sidebar Width - Right', 'id' => 'sb_split_right_width_int', 'type' => 'val_percent',
		'info' => 'Width of Right Side sidebar (Default: 17%)'),
	array('name' => 'Background - Left', 'id' => 'sb_split_left_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of left split sidebar wrapper'),
	array('name' => 'Background - Right', 'id' => 'sb_split_right_bgcolor', 'type' => 'ctext',
		'info' => 'Background color of right split sidebar wrapper')
	);

?>
<p>
	Settings affecting overall <strong>Site Layout</strong>. This includes <strong>Widths</strong>, <strong>Margins</strong>,
	<strong>Sidebar Layout</strong>, and <strong>Background</strong> colors of major layout regions.
</p>
<?php
	aspen_form_show_options($opts);
	do_action('aspen_pro_admin','layout');
}
?>
