<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
// Admin panel that gets added to the page edit page for per page options

add_action('admin_menu', 'aspen_add_page_fields');

function aspen_add_page_fields() {
	add_meta_box('page-box', 'Aspen Options For This Page', 'aspen_page_extras', 'page', 'normal', 'high');
	add_meta_box('post-box', 'Aspen Options For This Post', 'aspen_post_extras', 'post', 'normal', 'high');
    global $post;
	$opts = get_option( apply_filters('aspen_options','aspen_settings') , array());	// need to fetch Aspen options
    if (isset($opts['_show_per_post_all']) && $opts['_show_per_post_all']) {
        $i = 1;
        $args=array( 'public'   => true, '_builtin' => false );
        $post_types=get_post_types($args,'names','and');
        foreach ($post_types  as $post_type ) {
            add_meta_box('post-box' . $i, 'Aspen Options For This Post', 'aspen_post_extras', $post_type, 'normal', 'high');
            $i++;
        }
    }
}

function aspen_isp_true($val) {
	if ($val) return true;
	return false;
}

function aspen_page_checkbox($opt, $msg, $br = 0) {
	global $post;
	/* if (get_post_meta($post->ID, $opt, true)) { echo " checked='checked' ";} ?> /> */
?>
	<label><input type="checkbox" id="<?php echo($opt); ?>" name="<?php echo($opt); ?>"
<?php checked(aspen_isp_true(get_post_meta($post->ID, $opt, true))); ?> />
<?php 	echo($msg . '</label>&nbsp;&nbsp;');
	for ($i = 0 ; $i < $br ; $i++)
        echo '<br />';
}

function aspen_page_layout() {
	global $post;
?>
	<select name="pp_page_layout" id="pp_page_layout">
	<option value=""></option>
		<option value="one-column" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'one-column') );?>>
No sidebars, one column content</option>

	<option value="right-1-col" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'right-1-col'));?>>
Single column sidebar on Right</option>

	<option value="left-1-col" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'left-1-col'));?>>
Single column sidebar on Left</option>

	<option value="right-2-col" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'right-2-col'));?>>
Double Cols, Right (top wide)</option>

	<option value="left-2-col" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'left-2-col'));?>>
Double Cols, Left (top wide)</option>

	<option value="right-2-col-bottom" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'right-2-col-bottom'));?>>
Double Cols, Right (bottom wide)</option>

	<option value="left-2-col-bottom" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'left-2-col-bottom'));?>>
Double Cols, Left (bottom wide)</option>


	<option value="split" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_page_layout', true) == 'split'));?>>
Split - sidebars on Right and Left</option>
	</select>&nbsp;Select <em>Sidebar Layout</em> for this page - overrides default Page layout.

<?php
}


function aspen_pwp_atw_show_post_filter() {
    // use plugin options...
	global $post;

if ( function_exists( 'atw_showposts_installed' ) ) {
    $filters = atw_posts_getopt('filters');

    $first = true;
    echo '<select id="pp_post_filter" name="pp_post_filter" >';
    foreach ($filters as $filter => $val) {     // display dropdown of available filters
        if ( $first ) {
            $first = false;
            echo '<option value="" ' . selected(get_post_meta($post->ID, 'pp_post_filter', true) == '') . '>Don\'t Use Filter</option>';
        } else {
            echo '<option value="' . $filter .'" ' . selected(get_post_meta($post->ID, 'pp_post_filter', true) == $filter) . '>' . $val['name'] . '</option>';
        }
    }
    echo '</select>&nbsp;Use a Filter from <em>ATW Show Posts Plugin</em> <strong>instead</strong> of above post selection options.<br /> ' .
    '<span style="margin-left:12em;"><span>(Note: Filter Display Options and Use Paging option <em>not</em> used for posts using this filter.)<br />' . '<br />';
}
}


function aspen_pwp_type() {
	global $post;
?>
Display posts as: &nbsp;&nbsp;
	<select name="wvr_pwp_type" id="wvr_pwp_type">
	<option value="" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_type', true) == ''));?>></option>

	<option value="full" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_type', true) == 'full'));?>>
Full post</option>

	<option value="excerpt" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_type', true) == 'excerpt'));?>>
Excerpt</option>

	<option value="title" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_type', true) == 'title'));?>>
Title only</option>

<option value="title_featured" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_type', true) == 'title_featured'));?>>
Title + Featured Image</option>
	</select> &nbsp;How to display posts on this Page with Posts - default is to use global "Post Specifics" settings

<?php
}


function aspen_pwp_cols() {
	global $post;
?>
Display post columns: &nbsp;&nbsp;&nbsp;
	<select name="wvr_pwp_cols" id="wvr_pwp_cols">
		<option value="" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_cols', true) == ''));?>>
&nbsp;</option>
	<option value="1" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_cols', true) == '1'));?>>
1 Column</option>

	<option value="2" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_cols', true) == '2'));?>>
2 Columns</option>

	<option value="3" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'wvr_pwp_cols', true) == '3'));?>>
3 Columns</option>
	</select> &nbsp;Display posts in this many columns - left to right, then top to bottom

	<br />
	Use <em>Masonry</em> columns: &nbsp;
	<select name="pp_pwp_masonry" id="pp_pwp_masonry">
		<option value="" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_pwp_masonry', true) == ''));?>>
&nbsp;</option>
	<option value="2" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_pwp_masonry', true) == '2'));?>>
2 Columns</option>

	<option value="3" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_pwp_masonry', true) == '3'));?>>
3 Columns</option>
<option value="4" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_pwp_masonry', true) == '4'));?>>
4 Columns</option>
<option value="5" <?php selected( aspen_isp_true( get_post_meta($post->ID, 'pp_pwp_masonry', true) == '5'));?>>
5 Columns</option>
	</select> &nbsp;Use <em>Masonry</em> for multi-column display
	<br />
<?php
	aspen_page_checkbox('pp_pwp_compact', 'For posts with <em>Post Format</em> specified, use compact layout on blog/archive pages.',true);
	aspen_page_checkbox('pp_pwp_compact_posts', 'For regular, <em>non-PostFormats</em> posts, show <em>title + first image</em> on blog pages.');
}

function aspen_page_extras() {
	global $post;
	$opts = get_option( apply_filters('aspen_options','aspen_settings') , array());	// need to fetch Aspen options

	if ( !( current_user_can('edit_themes')
		|| (current_user_can('edit_theme_options') && !isset($opts['_hide_mu_admin_per']))	// multi-site regular admin
		|| (current_user_can('edit_pages') && !isset($opts['_hide_editor_per']))	// Editor
		|| (current_user_can('edit_posts') && !isset($opts['_hide_author_per'])))    // Author/Contributor
	) {
        if (isset($opts['_show_per_post_all']) && $opts['_show_per_post_all'])
         echo '<p>You can enable Aspen Per Page Options for Custom Post Types on the Aspen:Advanced Options:Admin Options tab.</p>';
        else
            echo '<p>Aspen Per Page Options not available for your User Role.</p>';
		return;	// don't show per post panel
	   }

	echo("<div style=\"line-height:150%;\"><p>\n");
	if (get_the_ID() == get_option( 'page_on_front' ) ) { ?>
<div style="padding:2px; border:2px solid yellow; background:#FF8;">Information: This page has been set
to serve as your front page in the <em>Dashboard:Settings:Reading</em> 'Front page:' option.
</div><br />
<?php
    }

    if (get_the_ID() == get_option( 'page_for_posts' ) ) { ?>
<div style="padding:2px; border:2px solid red; background:#FAA;"><strong>WARNING!</strong> You have the
<em>Dashboard:Settings:Reading</em> 'Posts page:' option set to this page. You may intend to do this, but
note this means that <em>only</em> this page's Title will be used
on the default WordPress blog page, and any content you may have entered above is <em>not</em> used.
If you want this page to serve as your blog page, and enable Aspen Per Page options,
including the option of using the Page with Posts page template,
then that Reading:'Posts page:' selection <strong><em>must</em></strong> be set to the '&mdash; Select &mdash;' default value.
</div><br />
<?php
            return;
    }
	echo("<strong>Page Templates</strong>" /*a*/ );
	aspen_help_link('help.html#PageTemplates',aspen_t_('Help for Aspen Page Templates' /*a*/ ));
	echo '<span style="float:right;">(This Page\'s ID: '; the_ID() ; echo ')</span>';
	aspen_html_br();
	echo('Please click the (?) for more information about all the Aspen Page Templates.' /*a*/ );
	echo("</p><p>\n");
	echo("<strong>Per Page Options</strong>" /*a*/ );
	aspen_help_link('help.html#optsperpage', aspen_t_('Help for Per Page Options' /*a*/ ));
	aspen_html_br();
	echo("These settings let you hide various elements on a per page basis." /*a*/ );
	aspen_html_br();


	aspen_page_checkbox('pp_hide_site_title',aspen_t_('Hide Site Title/Tagline' /*a*/ ));
	aspen_page_checkbox('pp_hide_menus',aspen_t_('Hide Menus' /*a*/ ));
	aspen_page_checkbox('pp_hide_header_image',aspen_t_('Hide Standard Header Image' /*a*/ ),1);

	aspen_page_checkbox('pp_hide_header',aspen_t_('Hide Entire Header' /*a*/ ));
	aspen_page_checkbox('pp_hide_page_infobar',aspen_t_('Hide Info Bar on this page' /*a*/ ));
	aspen_page_checkbox('pp_hide_footer',aspen_t_('Hide Entire Footer' /*a*/ ),1);

	aspen_page_checkbox('pp_hide_page_title',aspen_t_('Hide Page Title' /*a*/ ),1);

	echo '<em>Note:</em> the following options work with the default menu - not custom menus.<br>';
	aspen_page_checkbox('pp_hide_on_menu',aspen_t_('Hide Page on the default Primary Menu' /*a*/ ),1);


	aspen_page_checkbox('pp_stay_on_page',aspen_t_('Menu "Placeholder" page. Useful for top-level menu item - don\'t go anywhere when menu item is clicked.' /*a*/ ),2);

	aspen_page_checkbox('pp_hide_visual_editor',aspen_t_('Disable Visual Editor for this page. Useful if you enter simple HTML or other code.' /*a*/ ),1);

	if (aspen_allow_multisite()) {
		aspen_page_checkbox('pp_raw_html',aspen_t_('Allow Raw HTML and scripts. Disables auto paragraph, texturize, and other processing.' /*a*/ ),2);
	}
	aspen_page_layout();
?>
<br />
	<input type="text" size="15" id="bodyclass" name="bodyclass"
		value="<?php echo esc_textarea(get_post_meta($post->ID, "bodyclass", true)); ?>" />

	<em>Per Page body Class</em> - CSS class name to add to HTML &lt;body&gt; block. Allows Per Page custom styling.
	<br /><br/>
	<strong>Selective Display of Widget Areas</strong><br />
<?php
	aspen_page_checkbox('primary-widget-area',aspen_t_('Hide Primary (top) Area' /*a*/ ));
	aspen_page_checkbox('right-widget-area',aspen_t_('Hide Upper/Right Area' /*a*/ ));
	aspen_page_checkbox('left-widget-area',aspen_t_('Hide Lower/Left Area' /*a*/ ),1);

	aspen_page_checkbox('top-widget-area',aspen_t_('Hide Top Area' /*a*/ ));
	aspen_page_checkbox('bottom-widget-area',aspen_t_('Hide Bottom Area' /*a*/ ));

	aspen_page_checkbox('sitewide-top-widget-area',aspen_t_('Hide Sitewide Top Area' /*a*/ ));
	aspen_page_checkbox('sitewide-bottom-widget-area',aspen_t_('Hide Sitewide Bottom Area' /*a*/ ));
	?>
	<br /><br />
	We recommend using a plugin such as <em>Dynamic Widgets</em> for per-page control of which widgets are displayed in a
	given widget area on specific pages.
	<br />
</p>
<p>
	<?php echo('<strong>Settings for "Page with Posts" Template</strong>' /*a*/ );
	aspen_help_link('help.html#PerPostTemplate',aspen_t_('Help for Page with Posts Template' /*a*/ ) );

	$template = !empty($post->page_template) ? $post->page_template : "Default Template";
	if ($template == 'paget-posts.php') {
	?>
	<br />
	<?php echo('These settings are optional, and can filter which posts are displayed when you use the "Page
	with Posts" template. The settings will be combined for the final filtered list of posts displayed.
	(If you make mistakes in your settings, it won\'t be apparent until you display the page.)' /*a*/ ); ?><br />


	<input type="text" size="30" id="pp_category" name="pp_category"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_category", true)); ?>" />
	<?php echo("<em>Category</em> - Enter list of category slugs of posts to include. (-slug will exclude specified category)" /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_tag" name="pp_tag"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_tag", true)); ?>" />
	<?php echo("<em>Tags</em> - Enter list of tag slugs of posts to include." /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_onepost" name="pp_onepost"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_onepost", true)); ?>" />
	<?php echo("<em>Single Post</em> - Enter post slug of a single post to display." /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_orderby" name="pp_orderby"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_orderby", true)); ?>" />
	<?php echo("<em>Order by</em> - Enter method to order posts by: author, date, title, or rand." /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_sort_order" name="pp_sort_order"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_sort_order", true)); ?>" />
	<?php echo("<em>Sort order</em> - Enter ASC or DESC for sort order." /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_posts_per_page" name="pp_posts_per_page"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_posts_per_page", true)); ?>" />
	<?php echo("<em>Posts per Page</em> - Enter maximum number of posts per page." /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_author" name="pp_author"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_author", true)); ?>" />
	<?php echo('<em>Author</em> - Enter author (use username, including spaces), or list of author IDs' /*a*/ ); ?> <br />

	<input type="text" size="30" id="pp_post_type" name="pp_post_type"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_post_type", true)); ?>" />
	<?php echo('<em>Custom Post Type</em> - Enter slug of one custom post type to display' /*a*/ ); ?> <br />

    <?php aspen_pwp_atw_show_post_filter(); ?>

	<?php aspen_pwp_type(); ?><br />
	<?php aspen_pwp_cols(); ?><br />
	<input type="text" size="5" id="pp_fullposts" name="pp_fullposts"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_fullposts", true)); ?>" />
	<?php echo("<em>Enter number. Don't excerpt 1st <em>\"n\"</em> Posts</em> - Display the non-excerpted post for the first \"n\" posts."); ?>
	<br />

	<input type="text" size="5" id="pp_hide_n_posts" name="pp_hide_n_posts"
	value="<?php echo esc_textarea(get_post_meta($post->ID, "pp_hide_n_posts", true)); ?>" />
	<?php echo("<em>Hide first \"n\" posts</em> - Start with post n+1.
Useful with plugin that will display first n posts using a shortcode. (e.g., Post slider)" /*a*/ ); ?>
	<br />
	<?php aspen_page_checkbox('pp_hide_sticky',aspen_t_('No special treatment for Sticky Posts' /*a*/ )); ?>
	<?php aspen_page_checkbox('pp_hide_infotop',aspen_t_('Hide top info line' /*a*/ )); ?>
	<?php aspen_page_checkbox('pp_hide_infobot',aspen_t_('Hide bottom info line' /*a*/ )); ?>
	<?php aspen_page_checkbox('pp_show_featured_img',aspen_t_('Show post featured image' /*a*/ )); ?>
</p>
<?php
	} else {	// NOT a page with posts
?>	<p><strong>Note:</strong> After you choose the "Page with Posts" template from the <em>Template</em>
	option in the <em>Page Attributes</em> box, <strong>and</strong> <em>Publish</em> or <em>Save Draft</em>,
	settings for "Page with Posts" will be displayed here. (Current page template: <?php echo $template; ?>)
	</p>
<?php
	}
		do_action('aspen_pro_add_per_page');
?>
	<input type='hidden' id='post_meta' name='post_meta' value='post_meta'/>
	</div>
<?php
}

function aspen_post_extras() {
	global $post;
	$opts = get_option( apply_filters('aspen_options','aspen_settings') , array());	// need to fetch Aspen options
	if ( !( current_user_can('edit_themes')
		|| (current_user_can('edit_theme_options') && !isset($opts['_hide_mu_admin_per']))	// multi-site regular admin
		|| (current_user_can('edit_pages') && !isset($opts['_hide_editor_per']))	// Editor
		|| (current_user_can('edit_posts') && !isset($opts['_hide_author_per']))) // Author/Contributor
	   ) {
		echo '<p>Aspen Per Post Options not available for your User Role.</p>';
		return;	// don't show per post panel
	   }
?>
<div style="line-height:150%;">
<p>
	<?php
	echo("<strong>Per Post Options</strong>" /*a*/ );
	aspen_help_link('help.html#PerPage', aspen_t_('Help for Per Post Options' /*a*/ ));
	echo '<span style="float:right;">(This Post\'s ID: '; the_ID() ; echo ')</span>';
	aspen_html_br();
	echo("These settings let you control display of this individual post. Many of these options override global options set on the Aspen admin tabs." /*a*/ );
	aspen_html_br();
	aspen_page_checkbox('pp_force_post_full',aspen_t_('Display as full post where normally excerpted.' /*a*/ ));
	aspen_page_checkbox('pp_force_post_excerpt',aspen_t_('Display post as excerpt' /*a*/ ), 1);

	aspen_page_checkbox('pp_show_featured',aspen_t_('Show Featured Image with post' /*a*/ ));
	// Can't add an option to hide featured in header per post because we don't know the post at header time.

	aspen_page_checkbox('pp_show_post_avatar',aspen_t_('Show author avatar with post' /*a*/ ));
	aspen_page_checkbox('pp_favorite_post',aspen_t_('Mark as a favorite post (adds star to title)' /*a*/ ), 1);

	aspen_page_checkbox('pp_hide_post_format_label',aspen_t_('Hide <em>Post Format</em> label' /*a*/ ));
	aspen_page_checkbox('pp_hide_post_title',aspen_t_('Hide post title' /*a*/ ));
	aspen_page_checkbox('pp_post_add_link',aspen_t_('Show a "link to single page" icon at bottom of post' /*a*/ ),1);

	aspen_page_checkbox('pp_hide_top_post_meat',aspen_t_('Hide top post info line' /*a*/ ));
	aspen_page_checkbox('pp_hide_bottom_post_meta',aspen_t_('Hide bottom post info line' /*a*/ ));
	aspen_page_checkbox('pp_hide_post_bubble',aspen_t_('Hide the comment bubble' /*a*/ ), 1);

	aspen_page_checkbox('pp_hide_sidebars',aspen_t_('Hide Sidebars when this post displayed on Single Post page.' /*a*/ ), 1);

	aspen_page_checkbox('pp_masonry_span2',aspen_t_('For <em>Masonry</em> multi-columns: make this post span two columns.' /*a*/ ),2);

	aspen_page_checkbox('pp_hide_visual_editor',aspen_t_('Disable Visual Editor for this page. Useful if you enter simple HTML or other code.' /*a*/ ),  1);

	if (aspen_allow_multisite()) {
		aspen_page_checkbox('pp_raw_html',aspen_t_('Allow Raw HTML and scripts. Disables auto paragraph, texturize, and other processing.' /*a*/ ), 1);
	}
	?>
</p>
<p>
	<?php echo('<strong>Post Format</strong>' /*a*/ );
	aspen_help_link('help.html#gallerypost', aspen_t_('Help for Per Post Format' /*a*/ ));
	aspen_html_br();
	echo('Aspen supports Post Formats. Click the ? for more info.' /*a*/ );
	aspen_html_br();
	aspen_html_br();

	echo('<em>Note:</em> when you add settings for the post here, values will be created and displayed in the "Custom Fields" box.' /*a*/ ); ?>
</p>
	<input type='hidden' id='post_meta' name='post_meta' value='post_meta'/>
</div>
<?php
}

function aspen_save_post_fields($post_id) {
	// for backward compatibility, we will retain the ttw prefix names so old sites will still work with per page options - mostly...
	$default_post_fields = array('pp_category', 'pp_tag', 'pp_onepost', 'pp_orderby', 'pp_sort_order',
	'pp_author', 'pp_posts_per_page', 'primary-widget-area', 'right-widget-area','left-widget-area',
	'top-widget-area','bottom-widget-area','sitewide-top-widget-area', 'sitewide-bottom-widget-area',
	'pp_post_type', 'pp_hide_page_title','pp_hide_site_title','pp_hide_menus','pp_hide_header_image',
	'pp_hide_footer','pp_hide_header','pp_hide_sticky', 'pp_force_post_full','pp_force_post_excerpt',
	'pp_show_post_avatar','pp_favorite_post','pp_hide_sidebars','bodyclass',
	'pp_hide_top_post_meat','pp_hide_bottom_post_meta', 'pp_show_featured','pp_stay_on_page', 'pp_hide_on_menu', 'pp_show_featured_img',
	'pp_hide_infotop','pp_hide_infobot', 'pp_hide_visual_editor', 'pp_masonry_span2', 'pp_hide_post_bubble',
	'pp_hide_post_title', 'pp_post_add_link', 'pp_hide_post_format_label', 	'pp_page_layout', 'wvr_pwp_type', 'wvr_pwp_cols', 'pp_post_filter',
	'pp_hide_page_infobar',	'pp_hide_n_posts','pp_fullposts', 'pp_pwp_masonry','pp_pwp_compact','pp_pwp_compact_posts'
	);
if (aspen_allow_multisite()) {
	array_push($default_post_fields, 'pp_raw_html');
}

	$all_post_fields = $default_post_fields;

	if (isset($_POST['post_meta'])) {
		foreach ($all_post_fields as $post_field) {
		if (isset($_POST[$post_field])) {
				$data = stripslashes($_POST[$post_field]);

				if (get_post_meta($post_id, $post_field) == '') {
					add_post_meta($post_id, $post_field, aspen_filter_textarea($data), true);
				}
				else if ($data != get_post_meta($post_id, $post_field, true)) {
					update_post_meta($post_id, $post_field, aspen_filter_textarea($data));
				}
		else if ($data == '') {
					delete_post_meta($post_id, $post_field, get_post_meta($post_id, $post_field, true));
		}
		} else {
		delete_post_meta($post_id, $post_field, get_post_meta($post_id, $post_field, true));
		}
		}
	}
}

add_action("save_post", "aspen_save_post_fields");
add_action("publish_post", "aspen_save_post_fields");
?>
