<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/* Aspen - admin shortcodes
 *
 */

function aspen_admin_pro() {

?>
<h3>Enhance the Aspen Theme <?php aspen_help_link('help.html#AspenPro','Help for Admin Options'); ?></h3>
<?php
	do_action('aspen_show_licenses');

	if (!function_exists('aspen_sw_installed')) {
?>
<h2 style="font-weight:bold;">Get the <em>free</em> Aspen Shortcodes and Widgets Plugin!</h2>
<div class="a-pro">
<p>The <em>Aspen Shortcodes and Widgets</em> plugin provides a collection of useful shortcodes and widgets
to make it even easier to customize your site.</p>
<p><strong>See <em>
<?php aspen_site('/plugins/aspen-shortcodes-and-widgets','','Aspen Plugins'); ?>Aspen Plugins</a></em> for complete details.</strong></p>
<p>
	Shortcodes and Widgets included:
	<ul>
	<li><strong>[aspen_slider]</strong> - Perhaps the best, most flexible slider plugin available.
	Based on <em>bxSlider</em>, this slider is responsive, and will show images, videos, and virtually any
	other HTML content.</li>
	<li><strong>[aspen_show_posts]</strong> -  Show individual posts based on many options - category,
	title, and more.</li>
	<li><strong>[aspen_tab_group]</strong> - Add content to a tabbed box.</li>
	<li><strong>[aspen_youtube]</strong> - Show your YouTube videos responsively, and with the capability
	to use any of the YouTube custom display options</li>
	<li><strong>[aspen_vimeo]</strong> -  Show your Vimeo videos responsively, and with the capability
	to use any of the Vimeo custom display options</li>
	<li><strong>[aspen_show/hide_if_mobile]</strong> - Show or hide content on mobile devices </li>
	<li><strong>[aspen_iframe]</strong> - Quick and easy display of content in an iframe </li>
	<li>Plus many more shortcodes</li>
	<li><strong>Aspen 2 Column Text Widget</strong> - Add text into two columns in a widget</li>
	<li><strong>Aspen Per Page Text Widget</strong> - Add a text widget on a per page basis</li>
   </ul>
    <h4>Other features - mentioned in description boxes</h4>
    <ul>
		<li><strong>More General Appearance Options</strong> - Specify background images for specific areas</li>
		<li><strong>More Font Options</strong> - Specify fonts for specific items, plus easily add from hundreds of Google Fonts</li>
		<li><strong>More Header Options</strong> - Easily make your header full-width</li>
		<li><strong>Add Extra Menus</strong> - Add extra menus to your site using the Aspen Shortcodes and Widgets Vertical Menu
		Widget, or the [aspen_extra_menu] shortcode</li>
		<li><strong>Additional Post Specifics Options</strong> - Define totally custom post top and bottom info lines</li>
		<li><strong>More Footer Options</strong> - Make your footer full-width</li>
		<li><strong>More &lt;HEAD&gt; Section Options</strong> - define custom PHP actions and filters for WordPress</li>
		<li><strong>Additional HTML Insertion Areas</strong> - 10 new HTML insertion area</li>
		<li><strong>More Per Page HTML Insertion Options</strong> - Define HTML insertions on per page basis</li>
		<li><strong>CSS from file</strong> - Use a file for generated CSS rules instead of inline in &lt;head&gt;</li>
	</ul>
</p>
</div>
<br />
<hr />
<?php
	} else {
?>
<div class="a-pro">
	<p><strong style="font-size:110%;">You have Aspen Shortcodes and Widgets Plugin installed.</strong><br />
	&nbsp;&nbsp;See the Dashboard : Appearance : [Aspen Shortcodes] menu for settings and help.</p>
</div>
	<hr />
		<br />
<?php
	}


	do_action('aspen_pro_admin','aspen_pro_admin');
}

if (!function_exists('aspen_pro_plugin_installed')) {
	add_action('aspen_pro_admin','aspen_pro_admin_actions_free');

function aspen_pro_admin_actions_free( $action ) {

	switch ($action) {  // search code for list of actions supported by Aspen Theme

		case 'fonts':
			aspen_pro_fonts();
			break;

		case 'footer_opts':
			aspen_pro_footeropts();
			break;

		case 'general_appearance':
			aspen_pro_genappearance();
			break;

		case 'header_opts':
			aspen_pro_mainopts_header();
			break;

		case 'head_section':
			aspen_pro_adv_head();
			break;

		case 'html_insertion':
			aspen_pro_html_insertion();
			break;

		case 'post_specifics':
			aspen_pro_post_spec();
			break;

		// cases with no Pro extensions

		case 'admin_options':
		case 'content_areas':
		case 'help':
		case 'layout':
		case 'links':
		case 'menu_bar':
		case 'mobile_opts':
		case 'process_options':     // ignore submitted options
		case 'save_restore':
		case 'show_subthemes':
		case 'site_opts':
		case 'widget_areas':
			break;


		default:
			// echo '<h3 style="background-color:#afa;border:2px solid green;"><strong>Aspen Shortcodes and Widgets Extra Admin: ' . $action . '</strong></h3>';
			break;
	}

}

function aspen_pro_intro($title) {
	echo '<h4 class="atw-option-subheader">' . $title . "</h4>\n";
}

function aspen_pro_fonts() {
	aspen_pro_intro('Aspen Shortcodes and Widgets Font Options');
?>
	<div class="a-pro">
	<p><strong>Aspen Shortcodes and Widgets</strong> gives you much better control of your fonts. In addition to specifying a base font
	for content and titles, you can specify any standard web font for many specific areas such as menu bars, widget areas,
	captions, links, and more. In addition, you can specify and use any of the hundreds of fonts available from
	<em>Google Fonts</em>. In addition to font family, you can specify font weight, style, variant, and size.</p>
	</div>
<?php
}
function aspen_pro_footeropts() {
	aspen_pro_intro('Aspen Shortcodes and Widgets Footer Options');
	?>
	<div class="a-pro">
	<p><strong>Aspen Shortcodes and Widgets</strong> allows you to specify a full-width footer with a simple check-mark.
		Coupled with the same capability for the header, you can easily have wide headers and footers.</p>
	</div>
	<br />
<?php
}

function aspen_pro_genappearance() {
	aspen_pro_intro('Aspen Shortcodes and Widgets General Appearance Options');
?>
	<div class="a-pro">
	<p><strong>Aspen Shortcodes and Widgets</strong> allows you to specify a background image for specific areas
	on your site, including a full screen site bg image, background images for the wrapper,
	header, container, content, sidebars and more. You easily pick any image from your
	Media Library to use as the background image.</p>
	</div>
<?php
}

function aspen_pro_mainopts_header() {
	aspen_pro_intro('Aspen Shortcodes and Widgets Header Options');
?>
	<div class="a-pro">
		<p><strong>Aspen Shortcodes and Widgets</strong> allows you to specify a full-width header with a simple check-mark.
		Coupled with the same capability for the footer, you can easily have wide headers and footers.</p>

	</div>
<?php
}

function aspen_pro_adv_head() {
	aspen_pro_intro('Aspen Shortcodes and Widgets &lt;HEAD&gt; Section Options');
	?>
	<div class="a-pro">
		<p>For advanced users, <strong>Aspen Shortcodes and Widgets</strong> allows you to write complete PHP functions
		that can define WordPress actions and filters used to format and control much of the content
		output of your theme. Much of what previously required defining a child theme can be
		done with the Actions and Filters feature of <strong>Aspen Shortcodes and Widgets</strong>.</p>
	</div>
<?php
}

function aspen_pro_html_insertion() {
	aspen_pro_intro('Aspen Shortcodes and Widgets Additional HTML Insertion Areas');
?>
	<div class='a-pro'>
		<p>
		<strong>Aspen Shortcodes and Widgets</strong> includes these additional HTML Insertions areas:
		<ul style="padding-left:4em;">
			<li>Mobile: Header Insert Code</li>
			<li>Desktop: Header Insert Code</li>
			<li>Pre-Main Code</li>
			<li>Pre-Container Code</li>
			<li>Post-Post Content Code</li>
			<li>Pre-Comments Code</li>
			<li>Post-Comments Code</li>
			<li>Pre-Footer Code</li>
			<li>Pre-Left Sidebar</li>
			<li>Pre-Right Sidebar</li>
		</ul>
		</p>
	</div>
<?php
}

function aspen_pro_post_spec() {
	aspen_pro_intro('Aspen Shortcodes and Widgets Additional Post Specifics Options');
?>
<div class="a-pro">
<p>
	<strong>Aspen Shortcodes and Widgets</strong> includes the ability to define custom top and bottom post meta info lines.
	You can define any combination of labels, icons, and elements like categories, author, dates, and custom text
	to replace the default meta info lines.
</p>
</div>
<br />
<?php
}

}   // end of Aspen Free's Aspen Shortcodes and Widgets plugs
?>
