<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/*
	Aspen Admin - Uses yetii JavaScript to build tabs.
	Tabs include:
	Aspen Themes		(in atw-subthemes.php)
	Main Options		(in this file)
	Advanced Options	(in wvr_advancedopts.php)
	Save/Restore Themes	(in atw-subthemes.php)
	Snippets		(in atw-help.php)
	CSS Help		ditto
	Help			ditto
/*
	========================= Aspen Admin Tab - Main Options ==============
*/
function aspen_do_admin() {
/* theme admin page */

/* This generates the startup script calls, etc, for the admin page */
	global $aspen_opts_cache, $aspen_main_options, $aspen_main_opts_list;

	if (!current_user_can('edit_theme_options'))
        wp_die("No permission to access that page.");

	aspen_admin_page_process_options();	// Process non-sapi options

	echo('<div class="wrap">');
?>
<div style="float:left;"><h2><?php echo ASPEN_THEMEVERSION; ?> Options
<?php if (function_exists('aspen_pro_plugin_installed')) echo '<span style="font-size:smaller;"> - Pro Plugin </span><span style="font-size:small;">(' . ASPEN_PRO_VERSION . ')</span>'; ?>
<?php if (is_child_theme()) echo " &mdash; " . wp_get_theme(); ?>


</h2>
	<a name="top_main" id="top_main"></a></div>
<?php aspen_donate_button();
	aspen_check_theme();
	aspen_clear_messages();
	// print_r(get_option('aspen_settings'));
?>

<div style="clear:both;">

<div id="tabwrap">
  <div id="taba-admin" class='yetii'>
	<ul id="taba-admin-nav" class='yetii'>
	  <li><a href="#tab_themes" title="Select from pre-defined subthemes"><?php echo(aspen_t_('Aspen Subthemes' /*a*/ )); ?></a></li>
	  <li><a href="#tab_main" title="Main options for most theme elements: site appearance, layout, header, menus, content, footer, fonts, more."><?php echo(aspen_t_('Main Options' /*a*/ )); ?></a></li>
	  <li><a href="#tab_advanced" title="Advanced options: HTML, code, CSS insertion; page templates, background images, SEO, site options."><?php echo(aspen_t_('Advanced Options' /*a*/ )); ?></a></li>

	  <li><a href="#tab_pro" title="Aspen Theme Add-ons."><?php echo(aspen_t_('Aspen Add-ons' /*a*/ )); ?></a></li>


	  <li><a href="#tab_saverestore" title="Save and Restore theme settings."><?php echo(aspen_t_('Save/Restore' /*a*/ )); ?></a></li>
	  <li><a href="#tab_help" title="Table of Content links to Aspen Help files"><?php echo(aspen_t_('Help' /*a*/ )); ?></a></li>
	</ul>

<?php //  list is order specific - above and below must match ?>

	  <div id="tab_themes" class="tab" >
<?php 	aspen_admin_subthemes(); ?>
	  </div>
<?php
	  // ====================== Begin the big form here =====================
	aspen_sapi_form_top('aspen_settings_group','aspen_options_form');
?>
	  <div id="tab_main" class="tab" >
<?php aspen_admin_mainopts(); ?>
	  </div>

	  <div id="tab_advanced" class="tab" >
<?php aspen_admin_advancedopts(); ?>
	  </div>


<?php
	aspen_sapi_form_bottom();		// end of SAPI opts here. Can't cross <div>s! Non-sapi forms follow
	// ===================== end of big form  =====================
?>

	  <div id="tab_pro" class="tab" >
<?php aspen_admin_pro(); ?>
	  </div>


   <div id="tab_saverestore" class="tab" >
<?php aspen_admin_saverestore(); ?>
	</div>
	<div id="tab_help" class="tab" >
<?php aspen_admin_help(); ?>
	</div>
   </div> <!-- #tab-saverestore -->
</div> <!-- #tabwrap -->

<?php   aspen_end_of_section('Options'); ?>

<script type="text/javascript">
	var tabberAdmin = new Yetii({
	id: 'taba-admin',
	tabclass: 'tab',
	persist: true
	});
</script>

<?php
}	/* end aspen_do_admin */

/*
	================= process settings when enter admin pages ================
*/
function aspen_admin_page_process_options() {
	/* Process all options - called upon entry to options forms */

	// Most options are handled by the SAPI filter.

	settings_errors('aspen_settings');			// display results from SAPI save settings

	aspen_process_options_themes(); 	// >>>> Aspen Themes Tab

	do_action('aspen_child_process_options');	// let the child theme do something
	do_action('aspen_pro_admin','process_options');
	do_action('aspen_process_license_options');

	aspen_process_options_admin_standard();	// setting from admin page

	/* this tab has the most individual forms and submit commands */

	/* ====================================================== */

	 aspen_save_opts('Aspen Admin');			/* FINALLY - SAVE ALL OPTIONS AND UPDATE CURRENT CSS FILE */

}

function aspen_admin_admin() {
?>
<div class="atw-option-header">
Basic Administrative Options <?php aspen_help_link('help.html#AdminOptions','Help for Admin Options'); ?></div>

 <p>   These options control some administrative options and appearance features.</p>

<br />

	<label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_donate'); ?>" id="hide_donate" <?php checked(aspen_getopt_checked( '_hide_donate' )); ?> />
	I've Donated - </label><small>Thank you for donating to the Aspen theme.
This will hide the Donate button. Purchasing Aspen Pro also hides the Donate button.</small> &diams;<br /><br />

	<label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_editor_style'); ?>" id="_hide_editor_style" <?php checked(aspen_getopt_checked( '_hide_editor_style' )); ?> />
	Disable Page/Post Editor Styling - </label><small>Checking this box will disable the Aspen subtheme based styling in the Page/Post editor.
	If you have a theme using transparent backgrounds, this option will likely improve the Post/Page editor visibility.</small> &diams;<br />

	<label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_auto_css_rules'); ?>" id="hide_auto_css_rules" <?php checked(aspen_getopt_checked( '_hide_auto_css_rules' )); ?> />
	Don't auto-display CSS rules - </label><small>Checking this box will disable the auto-display of Main Option elements that have CSS settings.</small> &diams;<br />

	<input name="<?php aspen_sapi_main_name('_css_rows'); ?>" id="css_rows" type="text" style="width:30px;height:20px;" class="regular-text" value="<?php aspen_esc_textarea(aspen_getopt('_css_rows')); ?>" />
	<label>lines - Set CSS+ text box height - </label><small>You can increase the default height of the CSS+ input area (1 to 25 lines).</small> &diams;
<br />
<br /> <small><span style="color:red;"><b>NOTE:</b></span> Aspen includes support for Rounded Corners and
Shadows for Internet Explorer 7/8 via an add-on script called PIE. The script has been <strong>enabled</strong> by default.
Note while PIE supports most rounded areas, it doesn't support the menu bars.
If you have difficulties or don't like the way your site renders in IE 7/8, you can disable the support.</small>
<br />
<label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_PIE'); ?>" id="hide_PIE" <?php checked(aspen_getopt_checked( '_hide_PIE' )); ?> />
	Disable IE rounded corners support - </label><small>If you are having issues with IE and rounded corners, please disable this option.</small> &diams;<br />
 <br />
 <h3 class="atw-option-subheader">Per Page and Per Post Option Panels by Roles</h3>
 <p>Single site Administrator and Multi-Site Super Administrator will always have the Per Page and Per Post options panel displayed.
 You may selectively disable these options for other User Roles using the check boxes below.</p>


	<label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_mu_admin_per'); ?>" id="_hide_mu_admin_per" <?php checked(aspen_getopt_checked( '_hide_mu_admin_per' )); ?> />
	Hide Per Page/Post Options for MultiSite Admins</label> &diams;<br />
	   <label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_editor_per'); ?>" id="_hide_editor_per" <?php checked(aspen_getopt_checked( '_hide_editor_per' )); ?> />
	Hide Per Page/Post Options for Editors</label> &diams;<br />
	   <label><input type="checkbox" name="<?php aspen_sapi_main_name('_hide_author_per'); ?>" id="_hide_author_per" <?php checked(aspen_getopt_checked( '_hide_author_per' )); ?> />
	Hide Per Page/Post Options for Authors and Contributors</label> &diams;<br />
    <br />
    <label><input type="checkbox" name="<?php aspen_sapi_main_name('_show_per_post_all'); ?>" id="_hide_author_per" <?php checked(aspen_getopt_checked( '_show_per_post_all' )); ?> />
	Show Per Post Options for Custom Post Types</label> &diams; - <small>Shows the Per Post options box on "Custom Post Type Editor" admin pages</small><br />

<br/><br />
	<div class="atw-option-subheader">Theme Name and Description</div>
		<p>You can change the name and description of your current settings if you would like to create a new theme
	theme file for sharing with others, or for you own identification.
	</p>
	Theme Name: <input name="<?php aspen_sapi_main_name('themename'); ?>" id="themename" value="<?php echo aspen_getopt('themename'); ?>" />
	<br />
	Description:&nbsp;&nbsp;&nbsp; <textarea name="<?php aspen_sapi_main_name('theme_description'); ?>" id="theme_description" rows=2 style="width: 350px"><?php echo(esc_textarea(aspen_getopt('theme_description'))); ?></textarea>
	<br />

<br />
 <h3 class="atw-option-subheader">Subtheme Notes</h3>
 <p>This box may be used to keep notes and instructions about settings made for a custom subtheme. It
 will be saved in the both '.ath' and '.abu' settings files.</p>
 <textarea name="<?php aspen_sapi_main_name('subtheme_notes'); ?>" rows=8 style="width: 95%"><?php aspen_esc_textarea(aspen_getopt('subtheme_notes')); ?></textarea>
<?php
    do_action('aspen_pro_admin','admin_options');

}
/* ^^^^^ end aspen_admin_page_process_options ^^^^^^ */

// ===================================== include other stuff ==========================

require_once( dirname( __FILE__ ) . '/lib-admin.php' );

require_once( dirname( __FILE__ ) . '/admin-subthemes.php' );
require_once( dirname( __FILE__ ) . '/admin-mainopts.php' );
require_once( dirname( __FILE__ ) . '/admin-advancedopts.php' );
require_once( dirname( __FILE__ ) . '/admin-pro.php' );
require_once( dirname( __FILE__ ) . '/admin-saverestore.php' );
require_once( dirname( __FILE__ ) . '/admin-help.php' );
?>
