<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
// This file is included from functions.php. It will be loaded only when the wp_head action is called from WordPress.

if ( ! function_exists( 'aspen_generate_wphead()' ) ) {	/* Allow child to override this */
function aspen_generate_wphead() {
	/* this guy does ALL the work for generating theme look - it writes out the over-rides to the standard style.css */
	global $aspen_main_options, $aspen_cur_page_ID;

	global $post;
	$aspen_cur_page_ID = 0;	// need this for 404 page when this is not valid
	if (is_object($post))
        $aspen_cur_page_ID = get_the_ID();	// we're on a page now, so set the post id for the rest of the session

	printf("\n<!-- This site is using %s %s (%s) subtheme: %s -->\n",ASPEN_THEMENAME, ASPEN_VERSION, aspen_getopt('style_version'), aspen_getopt('themename'));

	if (aspen_use_inline_css( aspen_get_css_filename() )) { // generate inline CSS
		require_once('generatecss.php'); 	// include only now at runtime.
		echo('<style type="text/css">'."\n");
		$output = aspen_f_open('php://output','w+');
		aspen_output_style($output);
		echo("</style> <!-- end of main options style section -->\n");
	}

   /* now head options */
	echo(aspen_getopt('_althead_opts'));
	echo(aspen_getopt('head_opts'));		/* let the user have the last word! */

	$per_page_code = aspen_get_per_page_value('page-head-code');
	if (!empty($per_page_code)) {
        echo($per_page_code);
	}


	if (aspen_is_checked_page_opt('pp_hide_site_title'))	/* best to just do this inline */
	echo ('<style type="text/css">#site-title,#site-description,#header-extra-html{display:none;}</style>' . "\n");

	aspen_fix_IE();

	echo("\n<!-- End of Aspen options -->\n");
}
}

function aspen_fix_IE() {
	/*	Design note: This conditional IE support code is injected directly into the header. This is consistent
	with the fact that the main custom CSS is also normally injected into the header, and the fact that it
	needs to include the PIE script using 'get_template_directory_uri' which will not be the same for all
	installations and all versions of Aspen.
	*/
	$add_PIE = !aspen_getopt('_hide_PIE');
	echo("\n");
	if ($add_PIE)
        aspen_bake_PIE();
}

function aspen_bake_PIE() {
/**
* Attach CSS3PIE behavior to elements
* Add elements here that need PIE applied
*/
	$pie_loc = get_template_directory_uri() . '/js/PIE/PIE.php';
?>

<!--[if lte IE 8]>
<style type="text/css" media="screen">
<?php if (!aspen_getopt_checked('hide_img_shadows') && !aspen_getopt_checked('hide_img_borders')) { ?>
#content img.size-thumbnail,#content img.size-medium,#content img.size-large,#content img.size-full,#content img.attachment-thumbnail,
#content img.wp-post-image,img.avatar,.format-chat img.format-chat-icon,
<?php } ?>
#wrapper,#branding,#colophon,#content, #content .post,
#primary-widget-area,#right-widget-area,#left-widget-area,.sidebar_top,.sidebar_bottom,.sidebar_extra,
#first,#second,#third,#fourth,
#commentform input:focus,#commentform textarea:focus,#respond input#submit {
	behavior: url(<?php echo $pie_loc; ?>) !important; position:relative;
}
</style>
<![endif]-->
<?php
}
?>
